Sat, 7 Jan 2023 11:17:07 +0900 (e9bc4c898)
PO: Update for recent changes

by: Martin Schanzenbach

Sat, 7 Jan 2023 11:16:29 +0900 (d608fc49e)
REGEX: Fix tests missing link against libgnunetstatistics

by: Martin Schanzenbach

Sat, 7 Jan 2023 11:03:25 +0900 (460566764)
TESTING: Fix shebang in netjail scripts
Bashisms are used in netjail scripts for better or worse.
But the sheband /bin/sh was wrong to use in that case.

by: Martin Schanzenbach

Thu, 5 Jan 2023 22:54:21 +0900 (d9f74f175)
DOC: Add messenger man page. Fixes #7543

by: Martin Schanzenbach

Thu, 5 Jan 2023 22:40:08 +0900 (7c22b60b9)
DOC: Add long overdue DHT man pages.

by: Martin Schanzenbach

Thu, 5 Jan 2023 22:00:36 +0900 (246c58548)
PEERSTORE: Stop installing gnunet-peerstore binary that does not do anything.

by: Martin Schanzenbach

Thu, 5 Jan 2023 21:56:50 +0900 (d80b32753)
DOC: Add gnunet-did manpage. Issue #7543

by: Martin Schanzenbach

Thu, 5 Jan 2023 21:33:47 +0900 (cff555170)
GNS: Add a BCD service configuration for ARM as it now lives under libexec.

by: Martin Schanzenbach

Thu, 5 Jan 2023 21:33:17 +0900 (42d251fad)
DOC: Install gnunet-testing manpage.

by: Martin Schanzenbach

Thu, 5 Jan 2023 21:14:48 +0900 (bda28efd1)
BUILD: Properly set installation directories for gnunet-suidfix and gnunet-bcd

by: Martin Schanzenbach

Thu, 5 Jan 2023 19:50:11 +0900 (8240cf210)
DOC: Update to most recent handbook

by: Martin Schanzenbach

Thu, 5 Jan 2023 19:28:38 +0900 (9ed8f3c08)
REGEX: Do not link internal libraries into .las
Instead, actually include the source files in SOURCES.
This may result in longer compile times, but it makes more sense to the linker.

by: Martin Schanzenbach

Thu, 5 Jan 2023 18:06:20 +0900 (22c86ff0d)
BUILD: gnunet-suidfix into libexec

by: Martin Schanzenbach

Thu, 5 Jan 2023 18:05:54 +0900 (a5f1827ba)
BUILD: Clean documentation before rebuilding from bootstrap

by: Martin Schanzenbach

Thu, 5 Jan 2023 17:26:29 +0900 (4184e030e)
BUILD: Move undocumented programs and scritps to libexec. Issue #7543
Those binaries should not really be called directly and are poorly
documented (no man pages).

by: Martin Schanzenbach

Thu, 5 Jan 2023 13:17:59 +0900 (6f88d7b83)
REGEX: Fix build with recent llvm/clang. Fixes #7550
Patch by Bo98 on github:
https://github.com/Homebrew/homebrew-core/pull/113789#issuecomment-1288125182

Signed-off-by: Martin Schanzenbach <schanzen@gnunet.org>

by: Martin Schanzenbach

Fri, 30 Dec 2022 19:24:58 +0900 (2a7d977ee)
DOC: Update handbook and properly reset on bootstrap

by: Martin Schanzenbach

Fri, 30 Dec 2022 19:17:32 +0900 (37a3445a3)
DIST: Do not install legacy icons

by: Martin Schanzenbach

Mon, 26 Dec 2022 14:41:09 +0100 (05fef7b53)
DHT: call try_connect also on already connected peers, just in case address changed

by: Christian Grothoff

Mon, 26 Dec 2022 14:03:27 +0100 (cc41a24c5)
DHT: adjust BF size to actual neighbour set size

by: Christian Grothoff

Sat, 10 Dec 2022 16:00:56 +0900 (52d0d0914)
GNS: Do not autogenerate flags

by: Martin Schanzenbach

Fri, 9 Dec 2022 23:54:05 +0900 (7e725a7a8)
TESTING: Fix NP deref

by: Martin Schanzenbach

Fri, 9 Dec 2022 14:06:20 +0900 (5357758fd)
TESTING: Various notes on API

by: Martin Schanzenbach

Fri, 9 Dec 2022 12:07:26 +0900 (4f46e2f2e)
TESTING: Fix TESTING-NG API to follow naming conventions
Rename structs and functions to follow GNUnet naming conventions.
Some structs may actually also be private, a review is necessary.
The barrier API was modified in order to untangle Barriers and
lists of Barriers.
This is a rough draft, it needs fixes wrt memory leaks.

by: Martin Schanzenbach

Fri, 9 Dec 2022 10:40:56 +0900 (1b3f6f366)
UTIL: Fix regression regarding C++ compatibility

by: Martin Schanzenbach

Thu, 8 Dec 2022 20:51:35 +0900 (7768a7a75)
TESTING: Sanitize API. Add new GNUNET_TESTING_command_new API
This commit changes the label member of GNUNET_TRANSPORT_Command to a
static, fixed length buffer allocated with the struct itself.
The check for the end of a command array should be done by checking the
run command instead of the label.

by: Martin Schanzenbach

Thu, 8 Dec 2022 17:52:42 +0900 (1029772b3)
TESTING: Properly handle label allocations

by: Martin Schanzenbach

Thu, 8 Dec 2022 17:30:22 +0900 (5c4b06071)
TESTING: The testing API should properly take strings as const
Strings passed to the API should either be const and copied, or handled
by the caller and free'd. Looking at the transport tests currently
neither is happening. The strings are probably safer but definitely
leaked.
Changed the API to use "const" strings. Users of the testing API must
define functions that copy (and free!) strings accordingly.

by: Martin Schanzenbach

Thu, 8 Dec 2022 15:37:43 +0900 (2d257589d)
BUILD: Add functionality to generate changes in plain text and HTML

by: Martin Schanzenbach

Thu, 8 Dec 2022 15:11:49 +0900 (3889a387e)
BUILD: Add some helper scripts for release maintenance

by: Martin Schanzenbach

Tue, 6 Dec 2022 22:41:18 +0900 (6bebc94d2)
BUILD: Remove unused header from pkgconfig directory.

by: Martin Schanzenbach

Mon, 5 Dec 2022 16:59:52 +0900 (1d670b15e)
BUILD: include generated major/minor/micro version in gnunet_config.h - Martin Schanzenbach

Mon, 5 Dec 2022 13:15:09 +0900 (6ccf51adc)
BUILD: Improve extractor handling. Removed platform.h from include - Martin Schanzenbach

Sun, 4 Dec 2022 23:26:25 +0900 (395bc9345)
Large refactor in order to restore some sanity with respect to private defines used in headers - Martin Schanzenbach

Sun, 4 Dec 2022 22:01:23 +0900 (3f0d91045)
BUILD: Remove static_assert check - Martin Schanzenbach

Sun, 4 Dec 2022 21:53:26 +0900 (a0914a0ad)
MYSQL: Improve header includes with respect to compat handling - Martin Schanzenbach

Sun, 4 Dec 2022 19:35:42 +0900 (38e77d7ab)
UTIL: Allow only inlcusion of util glib-style. - Martin Schanzenbach

Sun, 4 Dec 2022 16:47:17 +0900 (292cefa2a)
BUILD: Attempt to disentable platform.h, gnunet_common.h and gnunet_private_config.h insanity - Martin Schanzenbach

Sun, 4 Dec 2022 15:01:11 +0900 (cbe225ddc)
BUILD: Move gnunet_config.h to gnunet_private_config.h and add new, partially generated gnunet_config.h - Martin Schanzenbach

Thu, 1 Dec 2022 18:32:23 +0900 (de5949640)
BUILD: Improve platform-specific includes - Martin Schanzenbach

Wed, 23 Nov 2022 13:12:37 +0100 (7922fe165)
typo - Christian Grothoff

Wed, 23 Nov 2022 13:10:07 +0100 (28a4f4e5d)
add function to compute channel name for notifications - Christian Grothoff

Tue, 22 Nov 2022 15:38:22 +0100 (bf175e5d2)
modernize datastore postgres implementation - Christian Grothoff

Tue, 22 Nov 2022 15:21:50 +0100 (5ffa64ed1)
modernize namecache postgres implementation - Christian Grothoff

Tue, 22 Nov 2022 15:15:53 +0100 (7299f45d9)
modernize datacache postgres implementation - Christian Grothoff

Mon, 21 Nov 2022 17:08:39 +0100 (d237b33a4)
modernize namestore postgres plugin, a bit - Christian Grothoff

Sun, 20 Nov 2022 20:27:49 +0900 (9ee83b68e)
NAMESTORE: Add recordline format for zone import and display - Martin Schanzenbach

Sun, 20 Nov 2022 19:51:03 +0900 (56a3e354d)
NAMESTORE: CLI utility can now parse multiple records from stdin - Martin Schanzenbach

Wed, 16 Nov 2022 13:57:32 +0100 (e97190eb7)
add versioning.sql - Christian Grothoff

Thu, 10 Nov 2022 13:54:58 +0900 (4775f9e5e)
GNS: Use flags as defined and generated from GANA - Martin Schanzenbach

Sun, 6 Nov 2022 22:32:17 +0900 (bc3d776dd)
IPC: Convert all message payload lengths to uint16_t types. - Martin Schanzenbach

Sat, 5 Nov 2022 08:41:36 +0900 (e22c4a47f)
RECLAIM: Fix length field inconsistencies in IPC protocol. Issue #7432 - Martin Schanzenbach

Fri, 4 Nov 2022 11:18:46 +0100 (145a04e3a)
update GANA - Christian Grothoff

Sat, 29 Oct 2022 18:06:26 +0900 (0f2da4636)
IDENTITY - Martin Schanzenbach

Thu, 27 Oct 2022 23:24:27 +0900 (8ccba14bb)
IDENTITY/NAMESTORE: - Martin Schanzenbach

Thu, 27 Oct 2022 11:37:36 +0200 (aac2f0a62)
actually, do both in case of ANY: datacache and HELLO - Christian Grothoff

Thu, 27 Oct 2022 11:33:59 +0200 (2b86b51b1)
disallow ANY for block type in PUTs; do return HELLOs for ANY in GET requests (see recent clarifications to R5N specification) - Christian Grothoff

Wed, 26 Oct 2022 12:37:13 +0200 (d435321cf)
gana to master - Christian Grothoff

Mon, 24 Oct 2022 19:58:32 +0100 (3f89ededb)
[fs] Print error code - madmurphy

Mon, 24 Oct 2022 18:21:14 +0900 (6e874ef92)
NAMESTORE: Allow to purge/recover orphans using CLI. Do not handle orphans in service - Martin Schanzenbach

Sun, 23 Oct 2022 15:08:57 +0900 (ee99cbfa6)
update submodules - Martin Schanzenbach

Sun, 23 Oct 2022 15:00:54 +0900 (bb81464ed)
NAMESTORE: Introduce GANA-managed error codes - Martin Schanzenbach

Sat, 22 Oct 2022 12:22:00 +0900 (ce203bca7)
RECLAIM: Update manpage for gnunet-reclaim - Martin Schanzenbach

Thu, 20 Oct 2022 17:01:48 +0900 (64aefd7b6)
ZONEMASTER: Use parallel worker thread for GNS block signing - Martin Schanzenbach

Wed, 19 Oct 2022 22:56:22 +0900 (3683f556d)
GNS: Make string formats more comaptible with DNS zonefiles - Martin Schanzenbach

Wed, 19 Oct 2022 21:33:50 +0900 (89fed7a08)
NAMESTORE: Start parser for DNS zonefiles - Martin Schanzenbach

Wed, 19 Oct 2022 15:10:07 +0900 (1cb34e96b)
NAMESTORE: Add records_lookup2 API for filtering and update REST API with filter functionality - Martin Schanzenbach

Tue, 18 Oct 2022 21:24:09 +0200 (f0b91ff6c)
fix #7374 - Christian Grothoff

Wed, 19 Oct 2022 00:17:15 +0900 (282b9d369)
NAMESTORE: Do not return orphaned zones to clients. Issue #7201 - Martin Schanzenbach

Tue, 18 Oct 2022 15:30:28 +0900 (37f81821b)
ZONEMASTER: Merge monitor into zonemaster process - Martin Schanzenbach

Sun, 16 Oct 2022 18:09:48 +0900 (4ca81ff1a)
PACKAGES: Update fedora configurations and scripts - Martin Schanzenbach

Sat, 3 Sep 2022 20:45:51 +0100 (bd83912f4)
DOC: Reconfigured Doxygen HTML output to improve navigability - Willow Liquorice

Thu, 6 Oct 2022 16:35:26 +0900 (1e4cb697e)
NAMESTORE: Bulk insert API now properly handles message length restriction - Martin Schanzenbach

Tue, 4 Oct 2022 22:52:34 +0900 (e2cb3bd74)
DOC: Update GANA - Martin Schanzenbach

Tue, 4 Oct 2022 22:43:22 +0900 (1741ddcf5)
NAMESTORE: Massaging new bulk API - Martin Schanzenbach

Tue, 4 Oct 2022 20:31:16 +0900 (4aeb9686f)
NAMESTORE: Move Namecache block refresh into zonemonitor - Martin Schanzenbach

Tue, 4 Oct 2022 09:50:30 +0900 (1d28c7e16)
NAMESTORE: Improve tests; fix reset/init bug - Martin Schanzenbach

Mon, 3 Oct 2022 23:49:58 +0900 (a75505815)
NAMESTORE: Add performance tests for bulk import/tx - Martin Schanzenbach

Mon, 3 Oct 2022 20:50:53 +0900 (4be1619e0)
NAMESTORE: Make bulk and transactional API consistent with monitoring - Martin Schanzenbach

Mon, 3 Oct 2022 13:32:18 +0900 (74ba73f5d)
NAMESTORE: Roll back on client disconnect - Martin Schanzenbach

Mon, 3 Oct 2022 13:23:35 +0900 (e891aa916)
NAMESTORE: Bulk store API and fix for delayed store activities - Martin Schanzenbach

Sat, 3 Sep 2022 20:45:51 +0100 (bd83912f4)
DOC: Reconfigured Doxygen HTML output to improve navigability - Willow Liquorice

Sun, 2 Oct 2022 11:48:10 +0900 (4611664be)
DOC: Back to info_TEXINFOS - Martin Schanzenbach

Sat, 1 Oct 2022 22:55:32 +0900 (995778685)
BUILD: Clean up build and submodules - Martin Schanzenbach

Sat, 1 Oct 2022 22:55:09 +0900 (56d347ae7)
GANA: Update submodule - Martin Schanzenbach

Sat, 1 Oct 2022 16:27:59 +0900 (5d6900718)
DOC: Manpage cleanup - Martin Schanzenbach

Sat, 1 Oct 2022 00:05:04 +0900 (6021469a1)
NAMESTORE: Add manpage for new database CLI - Martin Schanzenbach

Fri, 30 Sep 2022 19:18:40 +0900 (51b6cf4d3)
NAMESTORE: Add postgres functions for DB setup utility - Martin Schanzenbach

Fri, 30 Sep 2022 17:36:52 +0900 (c3eca4a0a)
NAMESTORE: Add DB setup utility with SQlite support; PQ broken - Martin Schanzenbach

Fri, 30 Sep 2022 08:20:49 +0100 (003cc0ea2)
[history] Mark old logos in `contrib/branding/logo/` as `old-` and add svg - madmurphy

Thu, 29 Sep 2022 14:06:42 +0900 (c31abdb6d)
UTIL: gnunet-config can now print experimental status. Issue #5708 - Martin Schanzenbach

Thu, 29 Sep 2022 13:45:02 +0900 (f7a9e4199)
BUILD: Fix mysql detection issue #7356 - Martin Schanzenbach

Wed, 28 Sep 2022 14:05:01 +0900 (3ec2b451f)
NAMESTORE: Allow service-side record set filtering. Fixes #7193 - Martin Schanzenbach

Tue, 27 Sep 2022 11:26:06 +0900 (a3c972882)
BUILD: Improve documentation build - Martin Schanzenbach

Tue, 27 Sep 2022 11:01:08 +0900 (3d7a01259)
BUILD: Do not build whole documentation if manpages are also enabled - Martin Schanzenbach

Mon, 26 Sep 2022 22:24:17 +0100 (227727ee4)
Arch packages don't depend anymore on gnURL - madmurphy

Mon, 26 Sep 2022 21:00:11 +0900 (d56728566)
BUILD: Silence some -Wall warnings - Martin Schanzenbach

Mon, 26 Sep 2022 20:50:36 +0900 (6d019f05f)
NAMESTORE: Fix API return value - Martin Schanzenbach

Mon, 26 Sep 2022 09:53:54 +0200 (dadd71c73)
updating Debian package - Christian Grothoff

Mon, 26 Sep 2022 00:08:32 +0900 (4bfdbabb8)
BUILD: Wow, automake is sh*t - Martin Schanzenbach

Sun, 25 Sep 2022 22:15:05 +0900 (10f582fe6)
GANA: Bump version - Martin Schanzenbach

Sun, 25 Sep 2022 21:35:32 +0900 (82a7bd8af)
DOC: Conditionally build doxygen; build sphinx on bootstrap - Martin Schanzenbach

Sun, 25 Sep 2022 09:05:16 +0100 (f66919668)
[gnunet-search] Fix `-s` and `-o` options not working together - madmurphy

Sat, 24 Sep 2022 18:04:56 +0900 (7a2a6471d)
NAMESTORE: Fix error handling for lookups - Martin Schanzenbach

Fri, 23 Sep 2022 16:39:21 +0900 (e0e36b6fe)
NAMESTORE: Towards proper transactional locks - Martin Schanzenbach

Fri, 23 Sep 2022 14:57:57 +0900 (7678d77b1)
NAMESTORE: Add select ... for update / edit records APIs - Martin Schanzenbach

Fri, 23 Sep 2022 12:59:28 +0900 (e238c132f)
NAMESTORE: Add tx API for postgres - Martin Schanzenbach

Fri, 23 Sep 2022 12:51:00 +0900 (764871dcb)
NAMESTORE: Remove head based database - Martin Schanzenbach

Fri, 23 Sep 2022 12:44:45 +0900 (52babbd64)
NAMESTORE: Add begin, commit and rollback API messages - Martin Schanzenbach

Fri, 23 Sep 2022 01:06:59 +0900 (127ad07a3)
NAMESTORE: Use a per client database connection - Martin Schanzenbach

Fri, 23 Sep 2022 01:05:53 +0900 (d78b7864d)
NAMESTORE: Fix existing monitoring test race condition - Martin Schanzenbach

Thu, 22 Sep 2022 00:22:30 +0900 (49d5c4da4)
NAMESTORE: Remove unneeded functions and renames. - Martin Schanzenbach

Thu, 22 Sep 2022 00:13:52 +0900 (e1d8213bb)
NAMESTORE: Start transactional API - Martin Schanzenbach

Thu, 22 Sep 2022 00:30:24 +0900 (c50fba92d)
UTIL: Remove outdated test. Fixes #7361 - Martin Schanzenbach

Thu, 8 Sep 2022 23:52:57 +0200 (5ab4d4a54)
DOC: Update - Martin Schanzenbach

Thu, 8 Sep 2022 22:17:34 +0200 (9ee1ef3d5)
REST: Implement basic authentication for per user service. Fixes #5669 - Martin Schanzenbach

Tue, 6 Sep 2022 12:34:39 +0200 (afea0eea1)
BUILD: Remove gnurl. Improve curl-gnutls detection - Martin Schanzenbach

Fri, 2 Sep 2022 13:20:37 +0200 (794266c3c)
GNS: Update deprecated cURL constant - Martin Schanzenbach

Wed, 31 Aug 2022 18:07:56 +0200 (a964469a9)
DID: change method name - Martin Schanzenbach

Wed, 29 Dec 2021 14:56:24 +0100 (821db736f)
fix bugs - Tristan Schwieren

Fri, 26 Nov 2021 14:05:12 +0100 (25481cc07)
remove binary - Martin Schanzenbach

Fri, 19 Nov 2021 10:46:02 +0100 (841bf3572)
DID:Initial commit - Martin Schanzenbach

Fri, 26 Nov 2021 14:05:12 +0100 (bcaf1b1f0)
remove binary - Martin Schanzenbach

Fri, 19 Nov 2021 10:46:02 +0100 (8685ef460)
DID:Initial commit - Tristan Schwieren

Thu, 25 Aug 2022 13:56:11 +0200 (567469d45)
double-check GP/PP are fine - Christian Grothoff

Thu, 25 Aug 2022 13:28:44 +0200 (209277b43)
separator change - Christian Grothoff

Sun, 21 Aug 2022 23:58:13 +0200 (a53dce1f8)
fix Bernd's signature violation discovery - Christian Grothoff

Sun, 21 Aug 2022 23:57:19 +0200 (e23e49cac)
check for GNU parallel - Christian Grothoff

Sun, 12 Jun 2022 20:30:40 +0100 (cc738d28d)
DOC: Initial work in CADET towards removing redundant doc comments. - Martin Schanzenbach

Thu, 9 Jun 2022 19:22:07 +0100 (9a0de6543)
DOC: Major doxygen organisation work, upgraded config, updated logo - Martin Schanzenbach

Sun, 5 Jun 2022 00:31:58 +0100 (fd716c71a)
DOC: Nesting doxygen groups to improve high-level organisation of source docs. - Martin Schanzenbach

Thu, 18 Aug 2022 19:00:12 +0200 (5a8b9a11a)
only 16 bit for options - Christian Grothoff

Mon, 15 Aug 2022 12:19:49 +0200 (69844eacf)
add JSON routines for base64 encoded values - Christian Grothoff

Thu, 11 Aug 2022 08:06:28 +0200 (460f0d77b)
DOC: Fix dist missing makefile - Martin Schanzenbach

Sat, 6 Aug 2022 01:30:48 +0200 (18e758f51)
Update `contrib/Makefile.am` - madmurphy

Sat, 6 Aug 2022 01:19:17 +0200 (0e6d7fcd8)
[contrib/] Update non-git Arch package (new deps: `python-sphinx` and `python-sphinx_rtd_theme`) - madmurphy

Fri, 5 Aug 2022 03:55:24 +0200 (8582b511a)
[contrib] Update `contrib/packages/arch/gnunet-git/.SRCINFO` - madmurphy

Fri, 5 Aug 2022 03:46:15 +0200 (c3eb83195)
[contrib] Enable the `gnunet://` URI scheme handler by ensuring that `/usr/share/applications/gnunet-uri.desktop` is installed; add `python-sphinx` and `python-sphinx_rtd_theme` to the `$makedepends` array of `contrib/packages/arch/gnunet-git/PKGBUILD` - madmurphy

Tue, 2 Aug 2022 20:20:02 +0200 (d7dde2880)
TRANSPORT: Fix certtool detection. Fixes #7257 - Martin Schanzenbach

Tue, 2 Aug 2022 17:25:41 +0200 (4fe567d9d)
DOC: Move from texinfo to sphinx - Martin Schanzenbach

Mon, 1 Aug 2022 10:55:59 +0200 (e8b7707f8)
DHT: Swap signature and peer id fields in path element lsd0004 - Martin Schanzenbach

Wed, 27 Jul 2022 17:37:42 +0200 (f6bce460a)
GANA: Bump version - Martin Schanzenbach

Wed, 27 Jul 2022 11:23:34 +0200 (d66036550)
DOC: Update instructions on GNS integration and use - Martin Schanzenbach

Sun, 24 Jul 2022 11:32:21 +0200 (233ec6111)
enable non-numbered sql statement execution - Christian Grothoff

Thu, 21 Jul 2022 12:30:22 +0200 (63802d724)
do not crash if psql is interrupted with CTRL-C - Christian Grothoff

Thu, 21 Jul 2022 11:33:18 +0200 (3e4b81055)
fixed typo in salt - Özgür Kesim

Sun, 17 Jul 2022 01:06:38 +0100 (ab55856a8)
[contrib/] Dependency update in Arch packages - madmurphy

Fri, 8 Jul 2022 14:55:01 +0200 (6a60c7d43)
relative time is in nanoseconds, kill redundant _ms variant - Christian Grothoff

Fri, 8 Jul 2022 14:37:03 +0200 (78cba4124)
timestamps are in seconds, kill redundant _ms variant - Christian Grothoff

Thu, 7 Jul 2022 20:29:24 +0200 (3abeb4555)
implemented new DHT path signing with origin authentication - Christian Grothoff

Thu, 7 Jul 2022 13:42:52 +0200 (2906241b6)
major modification to datacache to store route options (and clean up the API) - Christian Grothoff

Mon, 4 Jul 2022 14:11:57 +0200 (374e3cf6d)
ABE: Remove unused attribute-based encryption component - Martin Schanzenbach

Tue, 28 Jun 2022 21:31:29 +0200 (877f8e25c)
make sure Debian packages created on Ubuntu 21+ still work with Debian reprepro: force Debian standard compression algorithm - Christian Grothoff

Sat, 25 Jun 2022 14:02:01 +0200 (fa7f0a3a4)
BF bugfix: include mutator in size - Christian Grothoff

Wed, 22 Jun 2022 20:14:04 +0200 (84303b044)
RECLAIM: Improve OIDC userinfo caching; add config option for timeout - Martin Schanzenbach

Mon, 20 Jun 2022 14:24:44 +0200 (af154e9c5)
package v0.17.1 for Debian - Christian Grothoff

Sun, 19 Jun 2022 13:55:40 +0200 (71350f124)
fix: htonl vs htons, thanks Bernd - Christian Grothoff

Sun, 12 Jun 2022 15:50:22 +0100 (839640c0e)
Restore lost quotes in `man gnunet-search` - madmurphy

Sun, 12 Jun 2022 15:33:39 +0100 (22082c234)
Add Arch packages - madmurphy

Thu, 9 Jun 2022 18:17:52 +0200 (1da1632c4)
log hash - Christian Grothoff

Thu, 9 Jun 2022 11:49:32 +0200 (a87029a63)
RECLAIM: Improve OIDC plugin; now requires jose (new optional dependency) - Martin Schanzenbach

Tue, 31 May 2022 23:43:05 +0200 (edddc9384)
protocol change: swap xquery and result filter, integrate mutator with result filter - Christian Grothoff

Tue, 17 May 2022 10:00:25 +0200 (5fcabf87a)
fix scheduler bug with same-priority immediately-ready tasks possibly hogging the scheduler - Christian Grothoff

Sat, 14 May 2022 12:20:06 +0200 (b47e57809)
BUILD: Change submodule handling, update gana - Martin Schanzenbach

Thu, 12 May 2022 07:53:03 -0400 (69ac41f04)
update contrib/gana to 5ada88d0d3e25587a1340cc35669c36f608a50db - Thien-Thi Nguyen

Wed, 11 May 2022 05:15:34 -0400 (14464ed87)
update submodule contrib/gana - Thien-Thi Nguyen

Mon, 9 May 2022 10:49:46 +0200 (c42fd9b03)
DHT: Move block type definitions to GANA - Martin Schanzenbach

Mon, 9 May 2022 09:00:52 +0200 (2c589fcdf)
FCFSD: Allow configuration of relative expiration time of added records - Martin Schanzenbach

Tue, 26 Apr 2022 17:14:00 +0200 (132e09b6e)
gnunet-crypto-tvg: edx25519 test vectors - Florian Dold

Tue, 26 Apr 2022 17:13:36 +0200 (8d8e7d3da)
edx25519: use SHA512/256 instead of SHA256 - Florian Dold

Tue, 19 Apr 2022 14:53:07 +0200 (709e85100)
edx25519: KDF call - Florian Dold

Tue, 19 Apr 2022 14:43:30 +0200 (0487df9a0)
edx25519: use libsodium, tweak KDF call - Florian Dold

Sat, 9 Apr 2022 13:15:32 +0200 (25e750421)
BUILD: Fix mysql detection as reported on ML - Martin Schanzenbach

Tue, 5 Apr 2022 17:15:10 +0200 (2ea635b60)
add flag to return 'not present' status from GNUNET_JSON_spec_mark_optional - Christian Grothoff

Mon, 4 Apr 2022 22:49:41 +0200 (a15b424cb)
UTIL: OpenBSD does not implement unsafe srandom - Martin Schanzenbach

Mon, 4 Apr 2022 19:44:45 +0200 (aa3b3f27f)
BUILD: Simplify mhd detection - Martin Schanzenbac

Tue, 29 Mar 2022 10:11:15 +0200 (a9b18aa64)
GNS: Do not fail on assertions in block processing - Martin Schanzenbach

Sun, 27 Mar 2022 17:12:52 +0200 (ce38d1f6c)
Edx25519 implemented - Özgür Kesim

Sun, 27 Mar 2022 12:25:01 +0200 (1e4d62567)
GNS: Sanitize APIs and align with LSD0001 - Martin Schanzenbach

Sat, 26 Mar 2022 07:17:12 +0100 (e598ffe0a)
add GNUNET_TIME_absolute_round_down() function - Christian Grothoff

Fri, 25 Mar 2022 11:28:37 -0500 (c93cf9ae1)
Remove bash-ism from get_version.sh - David Barksdale

Mon, 21 Mar 2022 13:54:28 +0100 (4e95b59a6)
NAMESTORE: Towards new transaction-based API - Martin Schanzenbach

Mon, 21 Mar 2022 03:37:29 +0100 (ec8a825b0)
add new approximate time cmp function - Christian Grothoff

Fri, 18 Mar 2022 13:51:02 +0100 (4f3c8d098)
configure.ac: use lo0 for the 3 listed BSD Systems. - Martin Schanzenbach

Fri, 18 Mar 2022 08:52:01 +0100 (fcbabc6b6)
GNS: Fix BOX handling in apex - Martin Schanzenbach

Thu, 17 Mar 2022 23:24:19 +0100 (c37f01bc9)
GNS: Fix BOX service port handling in NBO - Martin Schanzenbach

Wed, 16 Mar 2022 18:53:22 +0100 (68ac68b70)
NAMESTORE: Add record set blocking API - Martin Schanzenbach

Tue, 15 Mar 2022 08:42:42 +0100 (cfd3db44a)
NAMESTORE: Prevent storing records under invalid labels - Martin Schanzenbach

Sat, 5 Mar 2022 08:58:51 +0100 (2087b149d)
FS: Fix segfault in URI handling - Martin Schanzenbach

Fri, 4 Mar 2022 23:40:34 +0100 (343177a0b)
GNS: Fix including proxy test in make dist. Addresses issue #7182 - Martin Schanzenbach

Fri, 4 Mar 2022 14:17:37 +0100 (0e6b1f4a2)
NAMESTORE: Warn use of low relative expiration times - Martin Schanzenbach

Thu, 3 Mar 2022 21:34:09 +0100 (0f0ff3785)
NAMESTORE: Do not display label for TOMBSTONE only record sets - Martin Schanzenbach

Thu, 3 Mar 2022 21:31:15 +0100 (64598c8fe)
GNS: Fix publishing of private records - Martin Schanzenbach

Mon, 28 Feb 2022 02:51:04 +0000 (8d9b10826)
Add `contrib/get_version.sh` to `EXTRA_DIST` (for allowing to launch `autoreconf -i` with the released tarball, when necessary) - madmurphy

Sun, 27 Feb 2022 20:54:49 +0100 (fd1d4df8f)
BUILD: Allow boostrap when offline (if gana files exist) - Martin Schanzenbach

Sat, 26 Feb 2022 23:26:33 +0100 (82d9ca012)
BUILD: Detect missing libsodium. Fixes #7153 - Martin Schanzenbach

Fri, 25 Feb 2022 00:46:09 +0100 (5e4cbb92b)
add GNUNET_B2S() macro; fix dht_line_test: we sign over query_hash, not block key - Martin Schanzenbach

Mon, 21 Feb 2022 00:11:28 +0100 (7bc5bb42a)
fix #7173 - Christian Grothoff

Sun, 20 Feb 2022 21:34:39 +0100 (3bda89642)
add salt argument to GNUNET_CRYPTO_CS_r_derive() - Christian Grothoff

Wed, 12 Jan 2022 20:42:34 +0100 (ac77d5f43)
add new HELLO_URI block support to block plugin - Christian Grothoff

Wed, 12 Jan 2022 14:34:56 +0100 (3e3081cfd)
incomplete first hack of new hello-uri lib - Christian Grothoff

Mon, 10 Jan 2022 21:51:53 +0100 (ba9296269)
first steps towards usable dhtu - Christian Grothoff

Fri, 18 Feb 2022 13:02:24 +0100 (a85bfe2fe)
DOC: Fix error - Martin Schanzenbach

Thu, 17 Feb 2022 12:53:23 +0100 (d4dffb077)
DOC: Fixed git links in tutorial - Martin Schanzenbach

Tue, 15 Feb 2022 14:37:56 +0100 (f72ffa1a9)
GNS: Allow lowercase and uppercase - Martin Schanzenbach

Tue, 15 Feb 2022 00:13:04 +0000 (839b4da34)
Fix incorrect information in `contrib/xdg-scheme-handler/README` - madmurphy

Tue, 15 Feb 2022 00:07:16 +0000 (679d390e4)
`gnunet-search`: Reduce the help page and include Alessio's suggestions - madmurphy

Mon, 14 Feb 2022 16:00:15 +0100 (336acc330)
GNS/NAMESTORE: Fix GNS2DNS delegations - Martin Schanzenbach

Mon, 14 Feb 2022 15:15:03 +0100 (6866469e6)
UTIL: Fix DNS resolution - Martin Schanzenbach

Mon, 14 Feb 2022 12:15:54 +0100 (8f7f4944a)
GNS: Rename CNAME test; bugfix - Martin Schanzenbach

Sat, 12 Feb 2022 20:18:16 +0000 (e94d71fdc)
`man gnunet-search`: better layout for `--printf` examples - madmurphy

Sat, 12 Feb 2022 18:14:33 +0000 (8c316d9dc)
`man gnunet-search`: add `--printf` examples, update page date - madmurphy

Fri, 11 Feb 2022 15:20:37 +0000 (c252554c5)
`man gnunet-search`: not just quotes - madmurphy

Fri, 11 Feb 2022 14:59:28 +0000 (b99f65d5e)
`man gnunet-search`: general review (cont'd) - madmurphy

Fri, 11 Feb 2022 03:20:27 +0000 (c4bd3744a)
`man gnunet-search`: general review - madmurphy

Fri, 11 Feb 2022 02:52:46 +0000 (0e04edc6b)
`man gnunet-search`: note about libextractor - madmurphy

Fri, 11 Feb 2022 02:45:23 +0000 (d267f384a)
`man gnunet-search`: metatype string - madmurphy

Fri, 11 Feb 2022 01:49:29 +0000 (55307d34d)
`man gnunet-search`: update synopsis - madmurphy

Fri, 11 Feb 2022 01:32:58 +0000 (3ce3d040f)
First draft of updated man page for `gnunet-search` (to be reviewed) - madmurphy

Thu, 10 Feb 2022 22:45:00 +0000 (9294003d1)
Add missing information to `gnunet-search`'s help page - madmurphy

Thu, 10 Feb 2022 22:24:56 +0000 (4b887d8a8)
New version of `gnunet-search` is ready to be tested - madmurphy

Thu, 10 Feb 2022 22:20:32 +0000 (82e288bca)
Use `const` for `GNUNET_FS_file_information_get_filename()`'s only argument - madmurphy

Thu, 10 Feb 2022 22:12:48 +0000 (99dcb607e)
Add newline before help pages' footer - madmurphy

Mon, 7 Feb 2022 15:59:04 +0100 (14b3c75ab)
GNS: LSD0001 improvements - Martin Schanzenbach

Sat, 5 Feb 2022 17:17:37 +0100 (aa85ac347)
GNS: Add tombstone string processing; also handle tombstones in monitor properly - Martin Schanzenbach

Sat, 5 Feb 2022 00:50:38 +0100 (ee865f851)
GNS: Implement Tombstone logic - Martin Schanzenbach

Thu, 3 Feb 2022 22:47:03 +0100 (f3eaf5dae)
GNS: Move VPN to DNS2GNS. Fixes #7171 - Martin Schanzenbach

Thu, 3 Feb 2022 18:44:40 +0100 (afd2cb5db)
GNS: Introduce REDIRECT records. Fixes #7172 - Martin Schanzenbach

Thu, 3 Feb 2022 18:12:10 +0100 (3d72be074)
GNS: Introduce CRITICAL flag. Fixes #7169 - Martin Schanzenbach

Thu, 3 Feb 2022 09:25:12 +0100 (112ef3796)
GNS: Rework GNS block wire format - Martin Schanzenbach

Tue, 1 Feb 2022 17:52:33 +0100 (4f07822ff)
GNS: Fix context strings in key derivation according to LSD0001 - Martin Schanzenbach

Tue, 1 Feb 2022 15:48:52 +0100 (816bab695)
GNS: Fix revocation wire format - Martin Schanzenbach

Wed, 26 Jan 2022 22:41:40 +0100 (e96a8d741)
added CS test vectors - Gian Demarmels

Thu, 20 Jan 2022 15:21:53 +0100 (856078f62)
DOC: Update README and handbook for dependencies - Martin Schanzenbach

Tue, 18 Jan 2022 14:05:12 +0100 (18bf1b905)
UTIL: Add UTF-8 NFC test - Martin Schanzenbach

Tue, 18 Jan 2022 11:05:41 +0100 (54554ca53)
GNS: Towards NFC - Martin Schanzenbach

Fri, 14 Jan 2022 18:42:27 +0100 (7e43ac554)
RECLAIM: Add DIDs - trizuz - Martin Schanzenbach

Mon, 10 Jan 2022 10:31:59 +0100 (8f8351c2d)
add more information to ensure signatures are fresh and request-specific - Christian Grothoff

Sun, 9 Jan 2022 12:22:04 +0100 (ec19c1e31)
DHT: modify API and protocol messages to add path signatures, except for now the actual signatures are just placeholders (signing and signature verification are missing) - Christian Grothoff

Tue, 4 Jan 2022 22:18:34 +0100 (d228a5859)
BUILD: Make GANA generation mandatory for beetstrap. Requires recutils - Martin Schanzenbach

Tue, 4 Jan 2022 15:53:29 +0100 (a5ca7d597)
BUILD: gnunet-signatures from gana - Martin Schanzenbach

Tue, 4 Jan 2022 15:37:21 +0100 (7b6e0eb4f)
BUILD: Add gana gnunet-signatures; do not yet copy - Martin Schanzenbach

Tue, 4 Jan 2022 15:23:22 +0100 (c5f6aafd6)
BUILD: Add gana GNS TLDs - Martin Schanzenbach

Tue, 4 Jan 2022 13:47:07 +0100 (8fc699d2a)
BUILD: Add gana build target for easy updates of generated headers - Martin Schanzenbach

Sun, 2 Jan 2022 14:53:35 +0100 (329f0458f)
clean up am_closest_peer and other functions - Christian Grothoff

Sun, 2 Jan 2022 13:10:25 +0100 (bb686c483)
revise DHT hashing functions, add test logic - Christian Grothoff

Wed, 29 Dec 2021 19:12:28 +0100 (daa928456)
implement revised block API - Christian Grothoff

Wed, 29 Dec 2021 00:11:40 +0100 (68b028c18)
implement new block API for FS, fix FTBFS - Christian Grothoff

Tue, 28 Dec 2021 23:39:36 +0100 (8d8976f00)
revise block plugin design as per discussion with Martin today (only implemented for GNS) - Christian Grothoff

Thu, 16 Dec 2021 18:13:21 +0100 (88fb1d89e)
IDENTITY: Expose encryption based on identities on CLI - Martin Schanzenbach

Tue, 21 Dec 2021 15:27:27 +0100 (ff714cca7)
changed derive_secrets API - Gian Demarmels

Mon, 20 Dec 2021 10:59:42 +0100 (ed65e2cac)
BUILD: Kill build-common - Martin Schanzenbach

Mon, 20 Dec 2021 10:23:14 +0100 (511058f7e)
DOCUMENTATION: Fix link to tutorial - Martin Schanzenbach

Thu, 16 Dec 2021 17:48:38 +0100 (4ec4cc9bd)
fix GNUNET_PQ_result_spec_timestamp_nbo - Christian Grothoff

Thu, 16 Dec 2021 12:51:02 +0100 (a062e1241)
tolerate old style values (for now) - Christian Grothoff

Wed, 15 Dec 2021 13:18:24 +0100 (8faf7660d)
enable v10 backwards compatibility - Christian Grothoff

Tue, 14 Dec 2021 15:59:07 +0100 (99779b455)
introducing GNUNET_TIME_Timestamp - Christian Grothoff

Mon, 6 Dec 2021 22:44:14 +0100 (67b56e366)
add crypto_cs testing and benchmark - Lucien Heuzeveldt

Mon, 6 Dec 2021 22:13:35 +0100 (2bcdfc2f9)
add crypto_cs implementation - Lucien Heuzeveldt

Mon, 6 Dec 2021 14:20:25 +0100 (1816cee64)
fixed timeout for netjail tests, removed duplicated function declaration from header, using GNUNET_TESTING_get_trait_batch_cmds in loop, fixed tng service shutdown logic, added missing GNUNET_SERVICE_client_continue, changed default log level for udp backchannel test to debug - t3sserakt

Mon, 6 Dec 2021 10:14:03 +0100 (7a7f3d5e0)
propose barrier API - Christian Grothoff

Mon, 6 Dec 2021 10:05:04 +0100 (41f26e067)
propose barrier API - Christian Grothoff

Mon, 6 Dec 2021 10:04:34 +0100 (a388fd600)
propose barrier API - Christian Grothoff

Sun, 5 Dec 2021 11:58:45 +0100 (2266d4614)
add bool type to libgnunetpq - Christian Grothoff

Fri, 3 Dec 2021 22:27:46 +0100 (f236a1f38)
ABD: Fix build - Martin Schanzenbach

Fri, 3 Dec 2021 18:22:15 +0100 (0d7bbcd3a)
DHT: Update wire formats. - Martin Schanzenbach

Fri, 3 Dec 2021 18:14:38 +0100 (a0b8084ca)
DHT: Remove unused processing option - Martin Schanzenbach

Tue, 30 Nov 2021 16:14:35 +0100 (f80d6d695)
ignore prepared statement failures if statement is already known to enable connection pooling - Christian Grothoff

Fri, 26 Nov 2021 13:11:47 +0100 (9792ef1c3)
make LE optional - Christian Grothoff

Fri, 26 Nov 2021 07:03:17 -0500 (c384f7784)
No longer require libextractor at configure time - Thien-Thi Nguyen

Fri, 26 Nov 2021 09:17:35 +0100 (b1bb98f8b)
make sudo non-interactive - Christian Grothoff

Thu, 25 Nov 2021 23:50:13 +0100 (04166afcb)
fix configure.ac issues with autoconf 2.69 - Christian Grothoff

Thu, 25 Nov 2021 23:38:58 +0100 (2a52d39a2)
help fixing #7105 - Christian Grothoff

Thu, 25 Nov 2021 14:38:48 +0100 (63854ee52)
add pk invariant check - Christian Grothoff

Thu, 25 Nov 2021 14:03:04 +0100 (b9644ee30)
fix event loop subscriptions on DB reconnect - Christian Grothoff

Tue, 23 Nov 2021 12:31:18 +0100 (5cb62b557)
RECLAIM: Fix bug that multiple attributes with the same name are added in CLI - Martin Schanzenbach

Sun, 21 Nov 2021 16:14:29 +0100 (3dbb45893)
Fix gnunet-namestore's URI import - Alessio Vanni

Sun, 21 Nov 2021 17:25:50 +0100 (71d0c6696)
update FR translation - Christian Grothoff

Thu, 11 Nov 2021 00:56:30 +0100 (20ffa0aa5)
Update configure.ac and a few macros used by it - Alessio Vanni

Fri, 5 Nov 2021 22:52:53 +0100 (d744d49e1)
Allow gnunet-qr to read codes from PNG pictures - Alessio Vanni

Sun, 21 Nov 2021 17:25:50 +0100 (71d0c6696)
update FR translation - Christian Grothoff

Thu, 14 Oct 2021 21:22:40 +0200 (48ccb35c9)
Improve gnunet-bcd and update logo used in generated cards - Alessio Vanni

Sat, 20 Nov 2021 23:22:19 +0100 (1dcc14eca)
update fr.po - Christian Grothoff

Sat, 20 Nov 2021 02:27:34 -0500 (9f0a9deef)
Convert AC_HELP_STRING to AS_HELP_STRING - Thien-Thi Nguyen

Sat, 20 Nov 2021 01:41:02 -0500 (0390da9dd)
Convert indirect ‘AC_CHECK_FUNCS’ call to direct one - Thien-Thi Nguyen

Sat, 20 Nov 2021 01:31:24 -0500 (b04f9f7a7)
Remove unnecessary double-quotes escaping - Thien-Thi Nguyen

Sat, 20 Nov 2021 01:24:05 -0500 (73550ea6e)
Remove m4-quoting from AC_CHECK_FUNCS arg - Thien-Thi Nguyen

Wed, 17 Nov 2021 08:38:55 +0100 (c5a7ce5d2)
subscribes are not reference counted by postgres, only subscribe/unsubscribe once per connection - Christian Grothoff

Thu, 28 Oct 2021 13:32:17 +0200 (6a642f8f6)
add logging for DB perf analysis - Christian Grothoff

Mon, 25 Oct 2021 14:49:05 +0200 (1609d627e)
changes to reflect the changes in testing_api_loop.c - t3sserakt

Mon, 25 Oct 2021 11:23:26 +0200 (196b6bc57)
debian: fix path again - Florian Dold

Mon, 25 Oct 2021 10:40:33 +0200 (61dd07223)
debian: fix libexec path - Florian Dold

Tue, 19 Oct 2021 13:59:42 +0200 (789268e1b)
kdf: zero out salt correctly - Florian Dold

Mon, 11 Oct 2021 17:08:46 +0200 (d190d2383)
fixed unset port forwarding variable bug in netjail script, fixed end cmd without shutdown bug, smaller fixes - t3sserakt

Tue, 19 Oct 2021 13:55:28 +0200 (2e2abc61d)
make KDF conform to RFC 5869 - Florian Dold

Thu, 14 Oct 2021 16:39:24 +0200 (d64ac2698)
removed versioned artefacts with v2 and v3. changes to reflect the changes in testing_api_loop.c - t3sserakt

Tue, 12 Oct 2021 10:04:50 +0200 (8ac2a05b3)
BUILD: Kill infiniband - Martin Schanzenbach

Tue, 12 Oct 2021 08:34:21 +0200 (786210216)
BUILD: Attempt fix longer file names in make dist - Martin Schanzenbach

Mon, 11 Oct 2021 23:56:12 +0200 (113cd7e3d)
BUILD: Remove --disable-mysql-version-check. #7033 - Martin Schanzenbach

Mon, 11 Oct 2021 23:43:04 +0200 (4e7e81f4d)
BUILD: Remove --disable-testing. Issue #7033 - Martin Schanzenbach

Mon, 11 Oct 2021 23:28:17 +0200 (65554324a)
BUILD: Remove W32 ifdef - Martin Schanzenbach

Mon, 11 Oct 2021 23:01:22 +0200 (41e8c1e21)
BUILD: Remove EXPENSIVE_TESTS (unused). Issue #7033 - Martin Schanzenbach

Mon, 11 Oct 2021 17:08:46 +0200 (d190d2383)
fixed unset port forwarding variable bug in netjail script, fixed end cmd without shutdown bug, smaller fixes - t3sserakt

Mon, 11 Oct 2021 16:30:12 +0200 (62ca5edd0)
BUILD: Remove SuperMUC code. Issue #7033 - Martin Schanzenbach

Sat, 9 Oct 2021 14:20:18 +0200 (ae41c8bcd)
BUILD: Add version from git tags - Martin Schanzenbach

Wed, 6 Oct 2021 18:53:37 +0200 (6ef071b8c)
fix #7029 - Christian Grothoff

Mon, 4 Oct 2021 21:07:21 +0000 (e173017ed)
Fix some typos in the handbook - Christian Grothoff

Mon, 4 Oct 2021 22:30:21 +0200 (961685fab)
add missing finish cmd - Christian Grothoff

Thu, 23 Sep 2021 22:52:44 +0200 (1aa0d5f34)
PQ: implementing #7014: support testing database version is current - Christian Grothoff

Wed, 22 Sep 2021 20:32:39 +0200 (369f0a0e8)
The differences between the contrib subdirectory in the git repository and the contrib subdirectory generated by make dist have grown really big. Please find attached another patch for updating the content of: - Christian Grothoff

Wed, 22 Sep 2021 11:39:25 +0200 (81d925587)
NSE: return NaN (see #7021) - Christian Grothoff

Wed, 22 Sep 2021 11:35:46 +0200 (7bf37b7ea)
NSE: return INF, not NaN (fixes #7021) - Christian Grothoff

Thu, 16 Sep 2021 22:51:28 +0200 (fc9ca33bc)
fix typos spotted by madmurphy - Christian Grothoff

Fri, 10 Sep 2021 16:38:35 +0200 (46e07ed8e)
Include "gettext.h" even when "platform.h" is unavailable - Alessio Vanni

Sun, 5 Sep 2021 22:21:40 +0200 (3da9cbd62)
BUILD: Remove FRAMEWORK_BUILD define - Martin Schanzenbach

Sun, 5 Sep 2021 18:27:53 +0200 (f9f3cbe9f)
make backend-check a gnunet-only gnunet-config option - Christian Grothoff

Sun, 5 Sep 2021 16:58:55 +0200 (b4e034d9a)
refactor gnunet-config to make preload hacks obsolete - Christian Grothoff

Fri, 3 Sep 2021 18:21:28 +0200 (00c03c7bb)
HANDBOOK: Add pointers to CI - Martin Schanzenbach

Tue, 31 Aug 2021 16:09:03 +0200 (25d8a8a26)
Flip the value of GNUNET_EXTRA_LOGGING given when it's undefined - Alessio Vanni

Tue, 31 Aug 2021 15:54:43 +0200 (382fc8faa)
gnunet.m4: add flag to disable debug messages - Alessio Vanni

Tue, 27 Jul 2021 16:27:14 +0200 (649d10b27)
Autoconf macro to detect GNUnet installations - Alessio Vanni

Sat, 24 Jul 2021 16:15:10 +0200 (9bdfda437)
gnunet-config manpage: Document the new flags - Alessio Vanni

Fri, 23 Jul 2021 18:20:33 +0200 (fd1bcccb9)
UTIL: Allow gnunet-config to output build config informations - Alessio Vanni

Wed, 1 Sep 2021 10:28:09 +0200 (d51000320)
UTIL: add fix for GNUnet directory permissions by madmurphy - Christian Grothoff

Sat, 28 Aug 2021 21:50:06 +0200 (2994fa434)
UTIL: improve error message and inherit stderr as suggested by Florian - Christian Grothoff

Sat, 28 Aug 2021 18:42:53 +0200 (c6528ac77)
debian: systemd installation - Florian Dold

Sat, 28 Aug 2021 18:31:33 +0200 (eacbf5923)
debian: clean up - Florian Dold

Sat, 28 Aug 2021 18:27:45 +0200 (ec6b80f07)
debian: more fixes and formatting - Florian Dold

Sat, 28 Aug 2021 18:27:11 +0200 (830bc7ab2)
debian: more fixes - Florian Dold

Sat, 28 Aug 2021 18:23:05 +0200 (941ea7f20)
debian: various packaging fixes - Florian Dold

Sat, 28 Aug 2021 17:46:26 +0200 (b317b3e11)
use ISO 8609 / RFC 3339 timestamps for logging - Florian Dold

Sat, 28 Aug 2021 16:54:38 +0200 (e74fadf93)
release GNUnet 0.15.3 - Christian Grothoff

Sat, 28 Aug 2021 12:54:32 +0200 (1757980da)
partial fix for problems raised by Alessio on the ML - Christian Grothoff

Sat, 28 Aug 2021 12:50:20 +0200 (66e906c25)
partial fix for problems raised by Alessio on the ML - Christian Grothoff

Wed, 25 Aug 2021 12:52:12 +0200 (45532e7bc)
further simplify libgnunetpq event API and implementation, also trigger events on 'loopback' that are not socket-activated - Christian Grothoff

Tue, 24 Aug 2021 16:12:34 +0200 (a0e689f5e)
debian: libgnunet-dev should not depend on GNUnet - Florian Dold

Sun, 8 Aug 2021 22:10:55 +0200 (b71740271)
debian: do not pollute skel (see Debian Policy Section 10.7.5.) - Florian Dold

Sun, 8 Aug 2021 21:20:09 +0200 (2de19bb85)
debian: leave out debian version '0', as lintian complains - Florian Dold

Sun, 8 Aug 2021 21:14:42 +0200 (788f1edbe)
debian: bump version (0.15.0-1) - Florian Dold

Fri, 6 Aug 2021 11:56:36 +0200 (564a1945e)
debian: bump version - Florian Dold

Wed, 4 Aug 2021 20:41:25 +0200 (ff5075e7f)
do not generate tautological comparison warnings for assertions (if gcc/clang version supports them) - Christian Grothoff

Wed, 4 Aug 2021 15:09:17 +0200 (873381c65)
first cmd for a simple tng test running. part of cleanup and sanity check when starting missing - t3sserakt

Sun, 1 Aug 2021 16:23:32 +0200 (372516f77)
0 for absolute time is special, and should be treated as such in JSON generation - Christian Grothoff

Sun, 1 Aug 2021 14:53:14 +0200 (c98bf47a8)
PQ: fix notification API bugs - Christian Grothoff

Sun, 1 Aug 2021 12:26:20 +0200 (2032f3ce3)
debian: compat level, removal of user units, tweaks - Florian Dold

Sat, 31 Jul 2021 22:42:45 +0200 (d02ea47f5)
JSON: allow NULL-passing to GNUNET_JSON_pack_data_varsize - Christian Grothoff

Sat, 31 Jul 2021 20:04:51 +0200 (be8bbf724)
debian: bump version - Florian Dold

Sat, 31 Jul 2021 16:47:33 +0200 (9b3442d2f)
debian:  Do not remove users/groups in postrm - Florian Dold

Sat, 31 Jul 2021 16:08:36 +0200 (aa0f0adef)
debian: fix date - Florian Dold

Sat, 31 Jul 2021 12:58:00 +0200 (e3dc68562)
debian: bump version to 0.14.1-9 - Florian Dold

Fri, 30 Jul 2021 22:20:05 +0200 (dccf60f89)
config: handle syntax error instead of dereferencing NULL pointer - Florian Dold

Fri, 2 Apr 2021 15:46:25 +0200 (ebc70e1bc)
SETU: Implement LSD0003 - Martin Schanzenbach

Thu, 29 Jul 2021 14:26:22 -0400 (72250781a)
use modern spelling for LLONG_{MAX,MIN} - Thien-Thi Nguyen

Thu, 29 Jul 2021 17:15:32 +0200 (6212bce41)
config: restrict directives in files loaded via @inline-secret@ - Florian Dold

Thu, 29 Jul 2021 10:42:18 -0400 (12e29f004)
add dependency lib to a couple targets - Thien-Thi Nguyen

Thu, 29 Jul 2021 16:13:16 +0200 (b69774cba)
do not warn when GNUNET_DISK_file_test can't access file - Florian Dold

Thu, 29 Jul 2021 15:40:36 +0200 (73ae1f379)
config: prettier pretty printing - Florian Dold

Thu, 29 Jul 2021 15:03:19 +0200 (8af5277c8)
debian: bump version - Florian Dold

Thu, 29 Jul 2021 14:59:10 +0200 (b41bca631)
fall back to /etc for default configuration entry point - Florian Dold

Wed, 28 Jul 2021 21:23:44 +0200 (cadca90ca)
debian: bump version - Florian Dold

Wed, 28 Jul 2021 21:00:30 +0200 (3012383a1)
config: report stats for secret sections - Florian Dold

Wed, 28 Jul 2021 20:19:38 +0200 (346706b18)
config: extended diagnostics, import cycle detection, deterministic load order - Florian Dold

Wed, 28 Jul 2021 18:59:07 +0200 (1af9f6c1c)
config: sort globbed files - Florian Dold

Wed, 28 Jul 2021 17:34:44 +0200 (7a0caef7a)
diagnostics mode for gnunet-config - Florian Dold

Wed, 28 Jul 2021 15:47:39 +0200 (2cdd91d55)
fall back to /etc if user config can't be found - Florian Dold

Wed, 28 Jul 2021 15:26:55 +0200 (94ea7a1fa)
implement @inline-secret@ directive - Florian Dold

Wed, 28 Jul 2021 14:31:38 +0200 (7615d46b0)
implement config inline globbing - Florian Dold

Mon, 26 Jul 2021 20:30:28 +0200 (28dfb1220)
config: resolve realpath of parent config file, fix docs - Florian Dold

Mon, 26 Jul 2021 20:03:29 +0200 (51e5fab47)
config: free real basepath - Florian Dold

Mon, 26 Jul 2021 19:59:29 +0200 (cda72d5c4)
config: resolve realpath of base dir, not config - Florian Dold

Mon, 26 Jul 2021 19:35:56 +0200 (473939543)
debian: bump version - Florian Dold

Mon, 26 Jul 2021 19:33:38 +0200 (16fe9a808)
config: resolve symlinks for @INLINE@-ed files - Florian Dold

Mon, 26 Jul 2021 17:49:43 +0200 (302e97b01)
debian: bump version - Florian Dold

Mon, 26 Jul 2021 16:32:34 +0200 (90095d19b)
implement typed JSON packer - Christian Grothoff

Mon, 26 Jul 2021 15:45:39 +0200 (baa855368)
debian: bump version - Florian Dold

Mon, 26 Jul 2021 15:31:14 +0200 (51990dbbf)
JSON: add draft for new GNUNET_JSON_PACK API - Christian Grothoff

Sat, 24 Jul 2021 22:50:22 +0200 (d63771f25)
minimal test for new pq event functionality - Christian Grothoff

Sat, 24 Jul 2021 22:05:46 +0200 (31eae6bbe)
early draft for libgnunetpq event notification support - Christian Grothoff

Fri, 23 Jul 2021 20:10:45 +0200 (be8bca817)
introduce new TIME helper functions - Christian Grothoff

Sat, 17 Jul 2021 20:13:36 +0200 (70de6f2ad)
fix #6925 and #6926 - Christian Grothoff

Tue, 6 Jul 2021 15:30:43 +0200 (b6521e32a)
DHTU: skeleton for plugins - Christian Grothoff

Mon, 5 Jul 2021 09:46:34 +0200 (7799411a8)
HANDBOOK: Fix #6911 - Martin Schanzenbach

Mon, 5 Jul 2021 09:42:54 +0200 (56af99b50)
UTIL: Prevent segfaults in config writeout. Fixes #6913 - Martin Schanzenbach

Thu, 1 Jul 2021 15:45:13 +0200 (b62520333)
DHT: cleaner implementation of peer selection logic (use 64-bits, more readable code) - Christian Grothoff

Mon, 28 Jun 2021 07:16:36 +0200 (3ae831780)
BUILD: Fix bswap portability - Martin Schanzenbach

Fri, 18 Jun 2021 13:47:35 +0200 (a7d06945b)
fix debian package build - Christian Grothoff

Wed, 16 Jun 2021 17:09:22 +0200 (1bc1fbda0)
PQ: update libgnunetpq implementation to avoid duplicated nullable tests and to allow for the actual field name to differ from the fname, as done for example by the Taler amounts which are split over two DB fields - Christian Grothoff

Sun, 6 Jun 2021 13:36:46 +0200 (1b18c4db2)
GNS: Fix EdDSA lookup by zonekey TLD - Martin Schanzenbach

Fri, 28 May 2021 10:54:08 +0200 (aa25216fe)
IDENTITY: Add EdDSA switch to handbook and manpage - Martin Schanzenbach

Sun, 16 May 2021 23:07:03 +0200 (c68abd271)
[FCFSD] document it in the handbook - Alessio Vanni

Mon, 10 May 2021 21:48:18 +0200 (96eddc25f)
UTIL: Fix #6858 - Martin Schanzenbach

Mon, 10 May 2021 21:43:12 +0200 (b66096531)
CONVERSATION: Fix FTBFS for tests. #6857 - Martin Schanzenbach

Sun, 2 May 2021 19:02:26 +0200 (2bca4006c)
[FCFSD] Provide a better user experience - Alessio Vanni

Sat, 1 May 2021 22:05:15 +0200 (572f4d6f7)
GNS: Add EDKEY support. - Martin Schanzenbach

Mon, 26 Apr 2021 15:08:16 +0200 (3a995fce4)
fix gnunet-config: do not always write configuration file - Christian Grothoff

Sat, 24 Apr 2021 17:29:42 +0200 (8233e2820)
Swap gnunet-config's default behaviour for the rewrite flag - Alessio Vanni

Mon, 22 Feb 2021 10:16:16 +0100 (3cd248236)
RECLAIM: Added libpabc credential support. - Martin Schanzenbach

Sun, 18 Apr 2021 21:11:08 +0200 (75cfa6370)
SCALARPRODUCT: migrating logic from libgcrypt to libsodium (#6818). - Christian Grothoff

Mon, 5 Apr 2021 12:37:53 +0200 (afa003863)
GNS: Update to new identity of FCFS PIN. - Martin Schanzenbach

Sat, 3 Apr 2021 09:40:46 +0200 (08fe7735b)
handbook: Add section on commit messages and developer branches - Martin Schanzenbach

Thu, 1 Apr 2021 00:41:38 +0200 (9f340d5cc)
SETU: added some more perf measurement point for var message size - Elias Summermatter

Thu, 1 Apr 2021 00:15:43 +0200 (12bb61317)
SETU: fixed some bug in rand element gen and added variable payload for perfmance - Elias Summermatter

Wed, 31 Mar 2021 11:49:10 +0200 (902331756)
SETU: Added new operation parameters for performance tests - Elias Summermatter

Wed, 31 Mar 2021 11:16:38 +0200 (b5660e0a3)
SETU: improved tests - Elias Summermatter

Tue, 30 Mar 2021 19:26:40 +0200 (ca4c9eae2)
UTIL/SCALARPRODUCT: Do not build ECC dlog or scalarproduct with incompatible libgcrypt versions (>=1.9.0) - Martin Schanzenbach

Mon, 22 Mar 2021 20:06:33 +0100 (a42d7df64)
fix #6808: gnunet-bcd card generation - Martin Schanzenbach

Thu, 18 Mar 2021 18:44:46 +0100 (7d85c27e9)
Fixed setu tests and state maschine - Elias Summermatter

Thu, 18 Mar 2021 17:55:24 +0100 (8cd1e1929)
Fixed some bug in the statemaschin implementation of setu - Elias Summermatter

Thu, 18 Mar 2021 16:07:40 +0100 (c4ccd7550)
Setu tests use gnunet internal functions to generate randum elements - Elias Summermatter

Thu, 18 Mar 2021 11:48:42 +0100 (f9ae0c23c)
Added working test with randum set - Elias Summermatter

Thu, 18 Mar 2021 08:45:31 +0100 (0d6237ae0)
Added some randum element generation test for setu - Elias Summermatter

Sun, 14 Mar 2021 14:04:00 +0100 (b47586e76)
add packaging notice; fix #5633 - Martin Schanzenbach

Tue, 9 Mar 2021 18:26:28 +0100 (0b2c0f22f)
IDENTITY: Fix wrong key construction for anonymous ECDSA identity - Martin Schanzenbach

Tue, 2 Mar 2021 17:16:18 +0100 (45ceb4fdf)
add base32 encoder/decoder - Christian Grothoff

Sun, 28 Feb 2021 13:51:25 +0100 (4cffc642c)
build: do not redefine AM_MAKEINFOHTMLFLAGS - Martin Schanzenbach

Sun, 28 Feb 2021 11:15:55 +0100 (eb8ca760c)
GANA: Use GANA generated header for GNS record types. Update handbook - Martin Schanzenbach

Tue, 23 Feb 2021 14:29:47 +0100 (d528f6cfb)
HELLO: Fix netdb.h nonsense with h_addr - Martin Schanzenbach

Tue, 23 Feb 2021 10:42:57 +0100 (74a234f0b)
HANDBOOK: Add some info on TNG - Martin Schanzenbach

Sun, 21 Feb 2021 20:56:47 +0100 (05040a491)
HELLO: Add test for NG API; fix extraction more - Martin Schanzenbach

Sun, 21 Feb 2021 16:44:51 +0100 (783a12b3c)
HELLO-TNG: Fix parsing; sill broken - Martin Schanzenbach

Sun, 21 Feb 2021 11:46:16 +0100 (f5439c229)
TNG: Add queue update handling - Martin Schanzenbach

Sun, 21 Feb 2021 10:53:34 +0100 (a3971a93c)
Add struct names for FS events. #6743 - Martin Schanzenbach

Thu, 18 Feb 2021 16:51:47 +0100 (8095b1a1b)
SetU move check to union - Elias Summermatter

Wed, 17 Feb 2021 18:00:43 +0100 (08adc88b4)
Setu integrated new phase full receiving as described in rfc draft - Elias Summermatter

Wed, 17 Feb 2021 17:32:23 +0100 (d5bf65f2b)
Renamed Phase Expect IBF Cont -> Expect IBF Last - Elias Summermatter

Wed, 17 Feb 2021 17:26:35 +0100 (d852cb5a6)
Renamed Phase Done -> Finished - Elias Summermatter

Wed, 17 Feb 2021 17:04:15 +0100 (be8897e14)
Renamed Phase inventory passive -> passive decoding - Elias Summermatter

Wed, 17 Feb 2021 15:57:46 +0100 (333459251)
Renamed Phase inventory active -> active decoding & Added idea folder to git ignore - Elias Summermatter

Sat, 30 Jan 2021 16:36:14 -0500 (5b152adc0)
use AS_VERSION_COMPARE instead of AX_COMPARE_VERSION - Thien-Thi Nguyen

Sat, 30 Jan 2021 08:37:12 -0500 (de1b87ea3)
fix #6722: use AX_COMPARE_VERSION - Thien-Thi Nguyen

Sat, 30 Jan 2021 12:41:15 +0100 (a5f200d53)
fix #6690 - Christian Grothoff

Thu, 28 Jan 2021 22:28:01 +0100 (a2169368b)
implement #6716 - Christian Grothoff

Thu, 7 Jan 2021 22:22:48 +0100 (4769344a7)
convert to GMT, not localtime in GNUNET_TIME_year_to_time - Christian Grothoff

Thu, 7 Jan 2021 10:26:54 +0100 (5b10ad755)
properly document return value of GNUNET_PROGRAM_run - Christian Grothoff

Sat, 2 Jan 2021 13:47:16 +0100 (eab08cec9)
do not output synthetic paths - Christian Grothoff

Sat, 2 Jan 2021 11:24:26 +0100 (0d4337da2)
fix /proc/PID/maps parser format string - Christian Grothoff

Thu, 31 Dec 2020 09:12:43 +0100 (ebd853c83)
do not use atomic write for configuration file, we may not have permissions to do this, also should not be necessary - Christian Grothoff

Wed, 30 Dec 2020 20:58:55 +0900 (c0465ff92)
RECLAIM: Fix quirky OIDC address handling - Martin Schanzenbach

Sat, 26 Dec 2020 14:15:58 +0900 (75a3a90fb)
RECLAIM: automatically purge dangling references - Martin Schanzenbach

Sat, 19 Dec 2020 18:43:38 +0100 (3636ea628)
change GNUNET_DISK_fn_write() to always do atomic writes and to NOT overwrite existing files; also change the return value to not return the size of the written file but GNUNET_OK on success, and integrate creating the directory if needed; breaks API, hence bumping libgnunetutil version - Christian Grothoff

Tue, 15 Dec 2020 04:54:32 -0500 (407765df1)
include Configuration Handbook in gnunet.info - Thien-Thi Nguyen

Tue, 15 Dec 2020 03:43:27 -0500 (db9d81947)
add pxref to ‘Config file format’ - Thien-Thi Nguyen

Tue, 15 Dec 2020 03:26:26 -0500 (52986bf33)
[doc] Add section "Config file format" - Thien-Thi Nguyen

Wed, 9 Dec 2020 23:00:07 +0100 (7d9592f20)
add GNUNET_CRYPTO_hash_context_copy() function - Christian Grothoff

Tue, 8 Dec 2020 16:50:27 +0900 (7ce054864)
RECLAIM: Return userinfo claims from cache - Martin Schanzenbach

Fri, 4 Dec 2020 17:36:35 +0100 (1346641a1)
gnunet-crypto-tvg: fix bogus label - Florian Dold

Fri, 4 Dec 2020 17:22:38 +0100 (4c10ff3b4)
gnunet-crypto-tvg: add verification mode - Florian Dold

Fri, 4 Dec 2020 14:52:45 +0100 (1a3070b15)
gnunet-crypto-tvg: output JSON, fix memleaks - Florian Dold

Sat, 21 Nov 2020 22:58:44 +0000 (d2e10ef67)
rps: fix another 'format not a string literal' warning - Daniel Golle

Mon, 16 Nov 2020 23:57:08 +0100 (91e8c2ff2)
rps: deal with currently unused code - Julius Bünger

Mon, 16 Nov 2020 23:36:12 +0100 (d30ec0f1f)
rps: comment ill-defined code - Julius Bünger

Mon, 16 Nov 2020 22:59:12 +0100 (0950b1df7)
rps: properly initialise memory - Julius Bünger

Mon, 16 Nov 2020 22:56:47 +0100 (266823196)
rps: use proper signedness - Julius Bünger

Mon, 16 Nov 2020 22:56:27 +0100 (89ea76819)
rps: use correct buffer sizes - Julius Bünger

Mon, 16 Nov 2020 22:55:49 +0100 (607211bb7)
rps: use correct types in format strings - Julius Bünger

Mon, 16 Nov 2020 22:53:30 +0100 (0108f132a)
rps: get rid of warnings about harmless uninitialized variables - Julius Bünger

Mon, 16 Nov 2020 04:54:21 +0100 (41000a00c)
rps: fix sources for multiple warnings - Julius Bünger

Sat, 14 Nov 2020 19:02:01 +0000 (ea18ebde8)
rps: fix format not a string literal and no format arguments - Daniel Golle

Sat, 14 Nov 2020 10:57:31 +0900 (de83cfe23)
Updating ChangeLog for 0.14.0 - Martin Schanzenbach

Thu, 5 Nov 2020 21:20:38 +0100 (c07ae5c8d)
additional abstraction for identity keys - TheJackiMonster

Thu, 1 Oct 2020 21:13:43 +0200 (8bf864c25)
adding the messenger service and its client-side library - TheJackiMonster

Sat, 31 Oct 2020 00:12:01 +0100 (778425469)
only call PGntuples once - Christian Grothoff

Sun, 25 Oct 2020 22:32:14 +0100 (f7c320990)
implement #6524 - Christian Grothoff

Sun, 25 Oct 2020 21:32:57 +0100 (d8cf5cbfc)
fix #6525: handle explicit null in JSON nicely - Christian Grothoff

Sat, 24 Oct 2020 00:19:44 +0200 (f7b17098b)
new translation - Christian Grothoff

Tue, 20 Oct 2020 13:10:43 +0200 (acc69a8e5)
fix missing MHD flags - Christian Grothoff

Fri, 16 Oct 2020 13:09:21 +0200 (2e494a18a)
GNS: New symmetric crypto - Martin Schanzenbach

Tue, 13 Oct 2020 12:25:31 +0200 (e0ff55875)
enable more format string warnings - Christian Grothoff

Sat, 10 Oct 2020 17:19:53 +0200 (77339944c)
Allow applications to change ProjectData with only some fields - Christian Grothoff

Sun, 27 Sep 2020 19:55:09 +0100 (daa0f22b6)
postgres: drop use of 'WITH OIDS' - Daniel Golle

Fri, 2 Oct 2020 12:04:42 +0200 (400f527fb)
UTIL: Never localize fancy strings in to_string to prevent breaking from_string parser - Martin Schanzenbach

Thu, 24 Sep 2020 22:04:17 +0200 (02fb94bd4)
Disable some diagnostic until TNG is available - Christian Grothoff

Mon, 21 Sep 2020 10:21:51 +0200 (87467c4aa)
added test_communicator_basic-udp test case for buildbot - t3sserakt

Sun, 6 Sep 2020 13:33:31 +0200 (fa067384b)
GNUnet 0.13.3 - Martin Schanzenbach

Fri, 4 Sep 2020 20:12:00 +0200 (35d7c1f88)
fix: depend on libsodium >=1.0.17. Fixes #6506 - Martin Schanzenbach

Fri, 4 Sep 2020 04:07:46 +0200 (538277ed8)
reclaim: fix cli parameter name for credential ID - Martin Schanzenbach

Wed, 2 Sep 2020 19:26:37 +0200 (3ec73fc68)
gnunet-qr/uri: Fix exit code handling; fix memory corruption - Martin Schanzenbach

Fri, 28 Aug 2020 12:26:52 +0200 (bbf9540c9)
fix order of namespaces in plugin_rest_identity GNUNET_REST_namespace_match() always matched to the first namespace for GET - jospaeth

Wed, 26 Aug 2020 14:49:02 -0400 (49d74db2e)
use (and "GNUnet-ify") libyuarel as a basepoint for uri parsing - Jonathan Buchanan

Sun, 23 Aug 2020 16:52:26 +0200 (ef86866ce)
add function GNUNET_CURL_extend_headers() - Christian Grothoff

Wed, 19 Aug 2020 23:53:02 +0200 (a57d476ab)
reclaim: Attestations now called credentials. Credentials are presented to third parties as presentations. - Martin Schanzenbach

Wed, 19 Aug 2020 13:17:01 +0200 (6531e0387)
break out chapters on SETI and SETUI from SET chapter - Christian Grothoff

Wed, 19 Aug 2020 11:05:13 +0200 (6dabecce0)
change scalarproduct to use seti service in lieu of deprecated set service - Christian Grothoff

Wed, 19 Aug 2020 10:59:27 +0200 (2d010ea15)
change revocation logic to use setu service in lieu of deprecated set service - Christian Grothoff

Tue, 18 Aug 2020 13:35:24 +0200 (2cd052cb8)
Update reclaimID handbook entry - Martin Schanzenbach

Tue, 18 Aug 2020 00:09:59 +0200 (2bce42e5b)
fix: build on openbsd - Martin Schanzenbach

Mon, 17 Aug 2020 14:45:46 +0200 (6f2ee9eb3)
clean up GNUNET_CRYPTO_pow_hash API - Christian Grothoff

Sun, 16 Aug 2020 20:46:39 +0200 (be0475f2a)
split of set union from set service (preliminary) - Christian Grothoff

Wed, 12 Aug 2020 09:36:33 +0200 (99f820453)
fix: GNUNET_is_zero(ptr) should return enum GNUNET_GenericReturnValue. Fixes #6475. - Martin Schanzenbach

Tue, 11 Aug 2020 11:35:06 +0200 (286759692)
fix: mysql version detection - Martin Schanzenbach

Thu, 6 Aug 2020 08:45:40 +0200 (1d4f5263a)
reclaim: Refactoring and more standards compliance with respect to scopes - Martin Schanzenbach

Wed, 5 Aug 2020 11:35:05 +0200 (6e764f4ab)
reclaim: Make SPAs work with public clients. No longer encrypt code. - Martin Schanzenbach

Tue, 4 Aug 2020 21:08:22 +0200 (ade9b5e52)
reclaim: fix #6463 - Martin Schanzenbach

Tue, 4 Aug 2020 19:40:23 +0200 (815ded19f)
rest: fix #6462 - Martin Schanzenbach

Tue, 4 Aug 2020 10:09:45 +0200 (080519e98)
reclaim: do not store access token instead piggyback ticket - Martin Schanzenbach

Mon, 3 Aug 2020 19:37:23 +0200 (8c86c4472)
reclaim: support client credentials in POST body for token request - Martin Schanzenbach

Sat, 1 Aug 2020 16:22:38 +0200 (e44686f08)
fix: reclaim urlenc / revert accidental change - Martin Schanzenbach

Sat, 1 Aug 2020 16:07:08 +0200 (754d8c1b4)
util: add percent/url encoding - Martin Schanzenbach

Thu, 30 Jul 2020 16:12:22 +0530 (8d312646c)
fix SIGSEGV in GNUNET_buffer_write_data_encoded - Florian Dold

Thu, 30 Jul 2020 15:15:59 +0530 (d335baac8)
implement GNUNET_buffer_write_data_encoded - Florian Dold

Wed, 22 Jul 2020 21:47:42 +0200 (8703a0516)
ensure psql fails hard if there is an error in the SQL (fixes #6437) - Christian Grothoff

Sat, 18 Jul 2020 00:44:39 +0200 (7f4ddbcab)
merge flags into enum for GNUNET_DISK_pipe() API, fixing #6188 - Christian Grothoff

Fri, 17 Jul 2020 22:35:36 +0200 (28ab2c446)
avoid boolean flag in GNUNET_OS_start_process() API (fixes #6188) - Christian Grothoff

Fri, 17 Jul 2020 14:26:45 +0200 (0c9911d73)
TNG: Implemented 5530: add replay protection to TCP communicator. Added monotime value checks - t3sserakt

Thu, 16 Jul 2020 20:36:12 +0200 (bbe0a0501)
avoid boolean argument in GNUNET_CURL_job_add(), see #6188 - Christian Grothoff

Thu, 16 Jul 2020 17:40:14 +0200 (ee1fbffa1)
support context-wide client authentication - Christian Grothoff

Thu, 16 Jul 2020 17:24:30 +0200 (23820348b)
docs: fixed example for pinning a friends public key - rexxnor

Wed, 15 Jul 2020 17:21:39 +0200 (9bb2c1e31)
Load GNSRECORD plugins within GNUnet's context - Christian Grothoff

Fri, 3 Jul 2020 22:37:42 +0200 (0f2ac01f3)
Add function to return GNUnet's default configuration - Christian Grothoff

Thu, 9 Jul 2020 09:09:50 +0200 (5a0df5e18)
fix: raise ATS quotas to 10 MiB #6426 - Martin Schanzenbach

Mon, 6 Jul 2020 23:34:48 +0200 (309ad1364)
fix: cadet fix to use correct tunnel end - Martin Schanzenbach

Mon, 6 Jul 2020 22:29:59 +0200 (13b2791f4)
fix: do not use udp plugin for tests - Martin Schanzenbach

Mon, 6 Jul 2020 21:33:06 +0200 (29131b26c)
fix: update test hostkeys - Martin Schanzenbach

Mon, 6 Jul 2020 20:19:00 +0200 (f0ecab499)
fix: namestore rest test - Martin Schanzenbach

Sun, 5 Jul 2020 21:59:40 +0200 (7247d3f1f)
style fix: use correct type - Christian Grothoff

Sat, 4 Jul 2020 19:06:49 +0200 (1d417dcd0)
Fix_build_dependencies - Martin Schanzenbach

Sun, 5 Jul 2020 16:32:34 +0200 (e31c1d4a9)
GNUNET_free_non_null -> GNUNET_free - Christian Grothoff

Sun, 5 Jul 2020 15:21:55 +0200 (143755664)
build: fix libidn2 detection if prefix given (#5948) - Martin Schanzenbach

Sun, 28 Jun 2020 22:38:45 +0200 (8c2243f05)
Prevent user from storing records which belong in a BOX - Martin Schanzenbach

Sun, 21 Jun 2020 22:06:35 +0200 (612704d69)
GNS: dns2gns now randomizes answers from GNS record set - Martin Schanzenbach

Tue, 16 Jun 2020 01:48:00 +0200 (e500e9ec3)
Set workbits for PoWs to more realistic values - Martin Schanzenbach

Sun, 14 Jun 2020 16:36:08 +0200 (a3a89edc0)
doc->preface: rewrite 'GNUnet may also' sentence, remove 2 TODO items. - nikita

Fri, 12 Jun 2020 12:51:46 +0200 (726ac3ef2)
Fixed 5528: TCP *communicator* bindto option should support DNS names, and 6013: TCP communicator should bind to IPv6 and IPv4 if only port given - t3sserakt

Fri, 5 Jun 2020 16:37:10 +0200 (d22eacb13)
Fixed bug #5822 by adding a monotonic time to the connection create message of a peer that want to start a KX, and the corresponding test #5823. Credits to dvn, lurchi and xrs for helpful discussions and coding. - t3sserakt

Mon, 1 Jun 2020 19:08:32 +0200 (59f616a3c)
tng: do not handle message send more than once - Martin Schanzenbach

Mon, 1 Jun 2020 18:45:46 +0200 (d11bffdc2)
tng: fix for macos unix socket handling - Martin Schanzenbach

Mon, 1 Jun 2020 18:43:32 +0200 (583bc67ba)
tng: MTU fix for other UNIXes, log message - Martin Schanzenbach

Mon, 1 Jun 2020 18:18:00 +0200 (d20be8a91)
tng: UNIX communicator fixes. Test fixes - Martin Schanzenbach

Mon, 1 Jun 2020 16:39:35 +0200 (198c09654)
tng: more UDP communicator backchannels - Martin Schanzenbach

Sat, 30 May 2020 17:45:38 +0200 (a325c3eaa)
towards UDP backchannels - Martin Schanzenbach

Fri, 29 May 2020 22:31:37 -0400 (63109da3e)
rsa crypto compare functions take const parameters - Jonathan Buchanan

Wed, 27 May 2020 15:01:30 +0200 (cf4608196)
Make REQUEST_AGPL messages configurable and add handler by default - Christian Grothoff

Wed, 27 May 2020 09:32:06 +0200 (f2127cd6a)
add lastlog script - Martin Schanzenbach

Wed, 27 May 2020 09:25:44 +0200 (eec3fd03c)
changelog from git log - Martin Schanzenbach

Wed, 27 May 2020 08:23:47 +0200 (b89c1f2a8)
update changelog, new format - Martin Schanzenbach

Tue, 26 May 2020 11:49:50 +0200 (755cb5c76)
remove argon2 dependency. Use limited libsodium argon2id function for GNS and NSE - Martin Schanzenbach

Tue, 26 May 2020 00:42:24 +0200 (24be68238)
use argon2id - Martin Schanzenbach

Tue, 26 May 2020 03:05:33 +0530 (2a82be115)
add additional test condition for GNS crypto - Florian Dold

Mon, 25 May 2020 21:38:58 +0200 (a32de45ce)
add option to create identity from private key - jospaeth

Fri, 22 May 2020 09:44:22 +0200 (2fbc0f044)
add option to show private key - Martin Schanzenbach

Fri, 22 May 2020 01:16:35 +0200 (9a92bbb51)
fix #6242 - Christian Grothoff

Thu, 14 May 2020 16:03:10 +0200 (f4771fcc1)
Improved BIO API - Christian Grothoff

Sun, 17 May 2020 19:56:12 +0200 (3362a671f)
make mhd and jansson mandatory dependencies - Martin Schanzenbach

Sun, 17 May 2020 19:37:00 +0200 (ac7ba6704)
allow compile against curl-openssl - Martin Schanzenbach

Sun, 10 May 2020 11:28:00 +0200 (63c371cfb)
separate id_token and userinfo claims requests - Martin Schanzenbach

Sun, 10 May 2020 00:23:54 +0200 (44bdb66b4)
fix #5782 - Martin Schanzenbach

Sat, 9 May 2020 22:10:08 +0200 (ada94c274)
fail of LSD0001 is violated for GNS2DNS - Martin Schanzenbach

Sat, 9 May 2020 22:00:01 +0200 (3da4b0d20)
fix #6103; make LEHOs supplemental from CNAMEs and GNS2DNS names - Martin Schanzenbach

Sat, 9 May 2020 20:55:08 +0200 (63c92bbef)
add json response headers to rest plugins - Martin Schanzenbach

Sat, 9 May 2020 19:12:51 +0200 (fbdc2fbb4)
change label processing in namestore REST api for gns records - Martin Schanzenbach

Wed, 6 May 2020 18:42:45 +0200 (1847e1652)
deprecate ill-defined set_nick API - Martin Schanzenbach

Wed, 6 May 2020 21:11:08 +0530 (616af9e62)
add libsodium dep to README - Florian Dold

Wed, 6 May 2020 20:12:05 +0530 (e273b24b9)
Fix #6070 - Florian Dold

Wed, 6 May 2020 18:39:16 +0530 (d7028a584)
move from tweetnacl (+custom hacks) -> only sodium - Florian Dold

Wed, 6 May 2020 10:49:10 +0200 (e7c277845)
remove obsolete framework option - Martin Schanzenbach

Wed, 6 May 2020 10:46:20 +0200 (4d75bfd7e)
add some more useful configuration output wrt transports - Martin Schanzenbach

Wed, 6 May 2020 10:25:00 +0200 (a4fddaa4d)
stop excessive warnings and notifications of information that is displayed later on anyway - Martin Schanzenbach

Wed, 6 May 2020 09:31:11 +0200 (ca168098b)
improve configure messages for rest and reclaim - Martin Schanzenbach

Sat, 2 May 2020 00:08:38 +0200 (f38bc1041)
fix gnunet-identity performance - Christian Grothoff

Fri, 1 May 2020 10:55:51 +0200 (91e407579)
vpn, exit: Add patch from termux for Android in a slightly different way. - nikita

Fri, 24 Apr 2020 13:50:05 +0530 (892bd3c60)
check for integer overflow in buffer lib (fixes #6217) - Florian Dold

Fri, 24 Apr 2020 10:18:16 +0200 (69f8fad56)
fix #6220 - Martin Schanzenbach

Tue, 21 Apr 2020 20:43:18 +0200 (bf99d2243)
fix #6191 - Christian Grothoff

Tue, 21 Apr 2020 18:37:28 +0200 (091f411cc)
purge scrypt; add argon2 - Martin Schanzenbach

Tue, 21 Apr 2020 18:13:05 +0200 (6bda628f7)
update revocation config - Martin Schanzenbach

Tue, 21 Apr 2020 13:47:04 +0200 (13ceb583b)
defining GNUNET_array_concatenate() for #6190 - Christian Grothoff

Tue, 21 Apr 2020 13:33:25 +0200 (3776e3a77)
fix #6189 - Christian Grothoff

Tue, 21 Apr 2020 13:27:04 +0200 (e938b8617)
fix #6186 related bugs - Christian Grothoff

Tue, 21 Apr 2020 13:23:28 +0200 (68615f85c)
use nz - Christian Grothoff

Tue, 21 Apr 2020 12:15:16 +0200 (5f5a1c7b4)
add JSON spec'er for booleans - Christian Grothoff

Tue, 21 Apr 2020 00:54:49 +0200 (30361fe0e)
make GNUNET_freez default, have GNUNET_free_nz for cases where that does not work - Christian Grothoff

Sun, 19 Apr 2020 21:37:35 +0200 (254a9f066)
add i64 deserializer - Christian Grothoff

Sun, 19 Apr 2020 14:07:21 +0200 (87481d240)
mailmap, authors: final sync of my address and name with changes in NetBSD and GNUnet members. - nikita

Fri, 17 Apr 2020 19:58:40 +0200 (2be21d379)
add argon2 for LSD0001 - Martin Schanzenbach

Fri, 17 Apr 2020 19:59:31 +0200 (0c053ecbf)
fix build with clang - Martin Schanzenbach

Fri, 17 Apr 2020 19:13:42 +0200 (3695a510a)
add relative_time specs - Christian Grothoff

Fri, 17 Apr 2020 18:21:17 +0200 (6b89b84d2)
add GNUNET_freez for #6186 - Christian Grothoff

Wed, 15 Apr 2020 20:35:45 +0200 (c894cf82d)
add integer overflow guards and avoid (unlimited) stack allocation - Christian Grothoff

Wed, 15 Apr 2020 20:29:15 +0200 (839badf7c)
take care of odd memset() calls - Christian Grothoff

Wed, 15 Apr 2020 20:26:00 +0200 (b7be5b9f5)
fix #6184 - Christian Grothoff

Sat, 11 Apr 2020 23:11:43 +0200 (7bcd5338f)
fix gnunet-statistics CLI - Christian Grothoff

Sat, 11 Apr 2020 21:55:51 +0200 (f490c0f3f)
do create directory if it doesn't exist - Christian Grothoff

Sat, 11 Apr 2020 21:43:28 +0200 (90ff9edfa)
fixing #6149 - Christian Grothoff

Sat, 11 Apr 2020 20:33:08 +0200 (3bcfe59f1)
fix static assert FTBFS with older gcc - Christian Grothoff

Thu, 9 Apr 2020 01:46:44 +0200 (f3d66d0dc)
mailmap adjust - nikita

Thu, 9 Apr 2020 01:40:49 +0200 (22119c687)
fix interpreter line of gnunet-bugreport - nikita

Thu, 9 Apr 2020 00:29:16 +0200 (8547143da)
adapt code to work with latest MHD API - Christian Grothoff

Thu, 9 Apr 2020 00:21:45 +0200 (6fc0526b4)
fix warnings - Christian Grothoff

Wed, 8 Apr 2020 20:30:05 +0200 (ccfb2c2e6)
introduce enum for generic return values - Christian Grothoff

Wed, 8 Apr 2020 17:34:27 +0200 (ba4da8c3f)
hack around crash on disconnect - Christian Grothoff

Wed, 8 Apr 2020 16:56:33 +0200 (11ae9f030)
fix sign api for to address #6164 - Christian Grothoff

Wed, 8 Apr 2020 14:47:01 +0200 (17113fc2f)
add GNUNET_static_assert() - Christian Grothoff

Wed, 8 Apr 2020 14:44:39 +0200 (8c9600879)
add check to see if CC supports '_Static_assert' - Christian Grothoff

Tue, 7 Apr 2020 17:51:59 +0200 (29bd17729)
improve comments (#6164) - Christian Grothoff

Fri, 3 Apr 2020 18:50:09 +0200 (6d7fd3328)
fix #6157 - Christian Grothoff

Fri, 3 Apr 2020 18:45:46 +0200 (6fd24eef2)
fix #6155 - Christian Grothoff

Fri, 3 Apr 2020 18:43:03 +0200 (bc01117ce)
fix #6158 - Christian Grothoff

Fri, 3 Apr 2020 17:03:35 +0200 (55bff52a2)
fix #6159 and related issues - Christian Grothoff

Fri, 3 Apr 2020 15:18:58 +0200 (0541fd194)
adding a GNUNET_memcmp_priv for constant-time comparing of data; fixes #6152 (modulo actually finding specific places where this SHOULD be used instead of GNUNET_memcmp) - Christian Grothoff

Fri, 3 Apr 2020 15:05:14 +0200 (4e259dbbb)
fix #6153 - Christian Grothoff

Fri, 3 Apr 2020 14:18:58 +0200 (175303b44)
fix #6154 - Christian Grothoff

Fri, 3 Apr 2020 13:46:05 +0200 (a3d4063b7)
added communicator tests to experimental - t3sserakt

Thu, 2 Apr 2020 11:33:53 +0200 (225ddf0a2)
fix #6146 - Christian Grothoff

Sun, 29 Mar 2020 12:51:26 +0200 (73514dd0e)
allow passing of fancy time to timetravel option - Christian Grothoff

Sat, 28 Mar 2020 07:57:04 +0100 (15d926361)
Point to explanatory documentation. - Marcello Stanisci

Fri, 20 Mar 2020 15:35:54 +0100 (19d73a8fa)
Make gnunet-namestore honour expiration dates when importing an URI - Christian Grothoff

Thu, 19 Mar 2020 19:40:34 +0100 (efa84b551)
use strtok_r in code that could plausibly be used from multi-threaded applications - Christian Grothoff

Tue, 17 Mar 2020 01:05:17 +0100 (2fb32626a)
use void * instead of char * for RSA key material to make it more clear that these are not 0-terminated strings - Christian Grothoff

Mon, 16 Mar 2020 19:38:42 +0100 (39c6d488d)
better error handling - Christian Grothoff

Sun, 15 Mar 2020 22:06:28 +0100 (7de26292b)
add function that logically belongs to libgnunetcurl instead of in multiple Taler binaries - Christian Grothoff

Sun, 15 Mar 2020 15:18:53 +0100 (b37cfa2fd)
implement new simplified POW for LSD001 - Martin Schanzenbach

Thu, 12 Mar 2020 12:09:11 +0100 (0c8362ad8)
move literature information to end of paragraph - xrs

Tue, 10 Mar 2020 17:42:04 +0100 (9d5af0464)
import CA into Icecat - Christian Grothoff

Tue, 3 Mar 2020 12:31:23 +0100 (d1bdcb261)
make static analysis happier - Christian Grothoff

Tue, 3 Mar 2020 12:31:12 +0100 (9a6588810)
remove 'illegal' (non-reentrant) log logic from signal handler - Christian Grothoff

Mon, 24 Feb 2020 23:48:47 +0100 (01439e25d)
do not segv if there is no postgres - Christian Grothoff

Mon, 24 Feb 2020 18:19:09 +0100 (dae7d843f)
support versioning schema drop - Christian Grothoff

Wed, 19 Feb 2020 21:52:43 +0100 (ca8202057)
fixing the GNS multirecord multipeer test - Christian Grothoff

Tue, 18 Feb 2020 16:08:43 +0100 (3b2afcd3b)
fix TNG test with NAT - Martin Schanzenbach

Sat, 15 Feb 2020 12:55:24 +0100 (b03978816)
proposed fix for excessive queueing (somehow does not quite work, not sure why) - Christian Grothoff

Sat, 15 Feb 2020 12:25:06 +0100 (e57177325)
better task ordering - Christian Grothoff

Thu, 13 Feb 2020 19:36:37 +0100 (79243b3d2)
add concept of supplemental records - Martin Schanzenbach

Thu, 13 Feb 2020 15:15:18 +0100 (4dc95a504)
always return nick records - Martin Schanzenbach

Wed, 12 Feb 2020 23:09:03 +0100 (206866779)
resolve nick if specifically requested - Martin Schanzenbach

Wed, 12 Feb 2020 22:06:19 +0100 (e021a0f7b)
fix duplicate NICK in record - Martin Schanzenbach

Fri, 7 Feb 2020 15:51:56 +0100 (5f9f9cae1)
consolidate reclaim attribute lib - Martin Schanzenbach

Thu, 6 Feb 2020 22:34:11 +0100 (d06446f14)
add base64url encoding to util (RFC7515) - Martin Schanzenbach

Thu, 6 Feb 2020 20:08:58 +0100 (a80090ffc)
more bugfixes and REST API change - Martin Schanzenbach

Tue, 4 Feb 2020 18:42:04 +0100 (55f6d26b7)
Refactoring reclaim attestations - Martin Schanzenbach

Mon, 3 Feb 2020 21:51:57 +0100 (5b6bb2ce4)
move to 256-bit identifier; some cleanups - Martin Schanzenbach

Sun, 9 Feb 2020 17:31:41 +0100 (99d70615e)
use versioning schema to only load database schema patches if not yet covered according to versioning table - Christian Grothoff

Sun, 9 Feb 2020 15:57:39 +0100 (8f375b3ea)
use NULL value in load_path_suffix to NOT load any files - Christian Grothoff

Tue, 4 Feb 2020 19:18:25 +0100 (1ca805654)
speed up message goodput in perf_mq(client) by 1/3rd - Christian Grothoff

Tue, 4 Feb 2020 19:11:40 +0100 (c656a8218)
adding MQ benchmark - Christian Grothoff

Tue, 4 Feb 2020 18:56:17 +0100 (f40520b09)
speed up running of tasks via GNUNTE_SCHEDULER_add_now() by a factor of at least 5 - Christian Grothoff

Tue, 4 Feb 2020 18:45:19 +0100 (4caa0d290)
add minimal scheduler benchmark - Christian Grothoff

Tue, 4 Feb 2020 15:47:01 +0100 (e14544109)
add timetravel getopt helper - Christian Grothoff

Mon, 3 Feb 2020 23:51:09 +0100 (e3dcec36a)
fix bug *AGAIN*, could swear I fixed this one before... strange - Christian Grothoff

Mon, 3 Feb 2020 18:26:49 +0100 (1bba6bc12)
added a test for DHT lookup between peers - rexxnor

Thu, 30 Jan 2020 10:48:04 +0100 (015cd279b)
added testing scripts for dns2gns - rexxnor

Fri, 24 Jan 2020 16:51:29 +0100 (f4a172abf)
export GNUNET_PQ_run_sql() functionality - Christian Grothoff

Fri, 24 Jan 2020 16:30:45 +0100 (2fd320bc7)
modify GNUNET_PQ_connect_with_cfg to enable flexible loading of .sql files - Christian Grothoff

Sat, 18 Jan 2020 18:47:30 +0100 (bbfde2060)
include mandatory includes - Christian Grothoff

Fri, 17 Jan 2020 12:12:56 +0100 (5422848b4)
do not add '/' to load path - Christian Grothoff

Fri, 17 Jan 2020 03:22:31 +0100 (00bd3376b)
quiet on psql - Christian Grothoff

Fri, 17 Jan 2020 02:51:10 +0100 (8fa757a94)
auto-provide OS_IPK paths in [paths] of config - Christian Grothoff

Fri, 17 Jan 2020 02:35:29 +0100 (3c1f2bdd8)
be more quiet - Christian Grothoff

Fri, 17 Jan 2020 02:26:21 +0100 (4353432b9)
DB load API change - Christian Grothoff

Fri, 17 Jan 2020 00:25:55 +0100 (1126181ab)
include buffer in main util header - Christian Grothoff

Thu, 16 Jan 2020 17:11:58 +0100 (ec7870968)
add new versions of alpine packages (not yet in alpine repo) - xrs

Wed, 15 Jan 2020 19:41:05 +0100 (5177efb74)
remove Taler-specific leftovers, we don't need them anymore - Florian Dold

Wed, 15 Jan 2020 13:29:47 +0100 (9f36b6e9e)
add test vector generation for crypto ops - Florian Dold

Wed, 15 Jan 2020 11:45:20 +0100 (9f3f1753e)
move buffer library from GNU Taler to GNUnet - Florian Dold

Mon, 13 Jan 2020 18:58:13 -0600 (55d610bb3)
Fix copy/paste error checking for explicit_bzero - David Barksdale


Fri Dec 20 09:22:03 2019 +0900
  Released gnunet 0.12.0 -schanzen

Fri Dec 20 09:22:03 2019 +0900
  Fixed BOX record label parsing -schanzen

Mon Dec 16 09:33:36 2019 +0100
  Fixed mysql build -schanzen

Sat 07 Dec 2019 02:38:53 PM CET
  Protocol-breaking change, using more standards-compliant
  EdDSA and RSA operations. Also changing POW function to
  make it less ASIC-compatible. This marks the switch to
  the 0.12.0 protocol family.

Sun Dec 01 19:31:00 UTC 2019
  configure: Add --with-gnunet-logread.
  -ng0

Sun Dec 1 12:26:11 2019 +0100
  GNS NSS plugin: Reject non-IDNA conforming names and
  trigger continue with next NSS plugin. -schanzen

Sat Nov 30 23:32:03 2019 +0100
  GNS NSS plugin: Disabled if called as root. -CG

Sat Nov 30 23:08:49 2019 +0100
  Fixed #3795: Switched to new PoW for NSE and GNS revocation.
  Functionality is ifdef guarded for 0.12. -CG

Sat Nov 30 21:05:25 2019 +0100
  Fixed #5978:
  Added support for .<zkey> CNAMEs in the GNS resolver. -schanzen

Sat Nov 30 20:27:51 2019 +0100
  Fixed #5979:
  Added support for .<zkey> DNS server names in GNS2DNS records.
  -schanzen

Tue Nov 26 18:26:54 2019 +0100
  Crypto change: Use Curve25519 for ECDH and tweetnacl where we can.
  Functionality is ifdef guarded for 0.12. -fdold

Nov 30 15:20:45 2019 +0100
  Fixed #5922:
  GNS names are now UTF-8. For DNS, names are converted to IDNA.
  Functionality is ifdef guarded for 0.12. -schanzen

Wed Oct 30 10:50:00 UTC 2019
  Released gnunet 0.11.8
  -ng0

Sun Oct 27 17:17:00 2019 +0200
  Released gnunet 0.11.7
  -schanzen, ng0

Fri Oct 25 00:00:00 UTC 2019
  Dropped glpk dependency(-check). -ng0

Wed Oct 23 20:55:12 2019 +0200
  Make REST service start per user in a multiuser setup.
  -schanzen

Wed Oct 23 00:00:00 UTC 2019
  Remove setuid helpers. They never worked as intended. The
  fixed version is not portable and the defacto good way to
  handle this which is most portable is to let package managers
  handle this (as they do right now, the good ones), and let
  people handle this who read the documentation.
  This commit removes what would be patched out by the majority
  of package managers, which is setuid handling in Makefiles.
  It is very likely that no one will notice this code is gone.
  -ng0

Thu Oct 17 00:00:00 UTC 2019
  Added support for doas, use it in some places conditionally
  if sudo is not present. Fixed sudo detection. -ng0

Mon Oct 14 00:00:00 UTC 2019
  Added 'pretty' make rule to run uncrustify over the source tree.
  -ng0

Mon Sep 16 00:00:00 UTC 2019
  Remove checks for CXX and CPP. Scans found no
  (remaining) cxx code. ccache with clang on
  NetBSD 9 hit no rebuilds. -ng0

Mon Sep 10 00:00:00 UTC 2019
  Drop win32 and mingw support after discussion with
  Christian. It has been unmaintained in our code base
  for years and there are no known users.
  Future implementors for Windows 10 support can
  refer to this commit as reference. -ng0

Mon Sep 9 00:00:00 UTC 2019
  Remove plibc, closes #5877 as discussed in
  https://lists.gnu.org/archive/html/gnunet-developers/2019-09/msg00002.html
  -ng0

Sun Sep 1 13:25:07 2019 +0200
  Improved support for external applications/services wrt
  localization/gettext.
  https://lists.gnu.org/archive/html/gnunet-developers/2019-09/msg00000.html

Tue 20 Aug 2019 04:32:09 PM CEST
  Fixed fatal bug in gnunet-bcd that prevented the main page
  from showing up. -CG

Mon Aug 19 17:36:48 2019 +0200
  REST: Added API plugin to read/write GNUnet configuration options -alexia

Sun Jul 28 00:00:00 2019 +0000
  Adding --enable-texinfo4 configure switch, defaulting to off.
  This allows distributors to override the texinfo 5.x and later
  commandline options we use, and allows us on the serverside to
  build html with newer output options. -ng0

Wed 24 Jul 2019 05:43:43 PM CEST
  Releasing GNUnet 0.11.6. -CG

Mon Jul 15 09:57:20 2019 +0200
  The REST server now has a configurable CORS Origin setting -schanzen

Fri Jul 5 22:11:04 2019 +0200
  Added detection of SUID binaries
  through GNUNET_OS_get_suid_binary_path -lurchi

Sat 29 Jun 2019 10:18:55 AM CEST
  Renamed "heap" namestore backend to "flat" as it does
  persist data in a file. Made it work with databases larger
  than 16 MB. -CG

Fri Jun 28 14:10:53 2019 +0200
  RECLAIM: Reissue of tickets (same attributes, same identity)
  will no longer create a new ticket, but reuse the old. -alexia

Thu Jun 27 10:34:46 2019 +0200
  The REST server now returns the Origin header value in the
  CORS header response. -schanzen

Thu Jun 27 09:08:06 2019 +0200
  GNS NSS plugin will not timeout and not hang forever and block
  gethostbyname. Final resolution pending #5782 -schanzen

Sat Jun 22 10:38:43 2019 +0200
  Add gnutls support for GNS CA certificate generation -schanzen

Sat 15 Jun 2019 11:45:35 PM CEST
  Improved gnunet-gns performance for many ego scenario. -CG

Fri 14 Jun 2019 07:17:40 PM CEST
  Add option to gnunet-identity to display private keys. -CG

Wed Jun 5 21:19:46 2019 +0200
 Releasing GNUnet 0.11.5. -schanzen

Wed May 29 11:17:49 2019 +0200
  Added CAA record type (RFC 6844). -schanzen

Sat 25 May 2019 08:27:39 AM CEST
  Significantly speed-up ego creation and deletion via
  gnunet-identity command when there are many (hundreds)
  of egos at the same peer. -CG

Sun May 12 12:00:00 2019 +0200
  Releasing GNUnet 0.11.4. -MS

Thu May 9 23:35:24 2019 +0200
  gnunet-identity can now output the public key on creation of new
  egos, and -e can act as a filter when listing all egos. -CG

Thu May 2 08:44:37 2019 +0200
  gnunet-arm now logs to file by default -CG

Sat Apr 27 21:50:57 2019 +0200
  RECLAIM: Added ECDH encryption for authorization code payload -schanzen

Sat 27 Apr 2019 06:36:31 AM CEST
  Bump libmicrohttpd version requirement as some intermediate
  versions have relevant bugs that cause problems. -CG

Sat Apr 27 01:50:43 2019 +0200
  RECLAIM: No longer experimental -schanzen

Fri Apr 26 11:08:21 2019 +0200
  REST: Configuration plugin added -schanzen

Tue Apr 23 23:00:00 UTC 2019
  All manpages are properly licensed. -ng0

Sun Apr 21 22:22:22 UTC 2019
  All manpages are now in mdoc format. -ng0

Sat Apr 20 18:38:43 UTC 2019
  Remove optional gnunet-download-manager.scm and
  with it the optional dependency on a no longer
  maintained version of GNU Guile (#5682). -ng0

Sun Apr 14 09:54:20 2019 +0200
  RECLAIM: Moved away from ABE to GNS encryption. Minor API changed and
  renaming of records. Deprecated SQLite plugin in favor of namestore.
  -schanzen

Sun Apr 7 14:40:59 2019 +0200
  Releasing GNUnet 0.11.3. -CG

Sat 06 Apr 2019 02:36:17 PM CEST
  Introducing GNUNET_memcmp() and GNUNET_is_zero() for better typing
  when comparing memory areas. -CG

Fri 05 Apr 2019 11:38:53 PM CEST
  Use paths of sysctl, ip, ifconfig and ip(6)tables from configure
  if they work. (#5352). -CG

Thu 04 Apr 2019 12:39:44 PM CEST
  Hotfix for build issue. Releasing GNUnet 0.11.2. -CG/MS

Wed 03 Apr 2019 03:18:43 PM CEST
  Releasing GNUnet 0.11.1. -CG

Wed 03 Apr 2019 01:54:44 PM CEST
  Merged gnunet-qr-c-2 branch, replacing Python-based implementation
  of gnunet-qr with C-based implementation that also integrates
  gnunet-uri. -HG/MS/CG

Wed 03 Apr 2019 01:15:57 PM CEST
  Fixed a few test case regressions (GNS, FS). -CG

Mon Apr 1 22:00:00 UTC 2019
  documentation/buildsystem: manpages and other documentation parts
  can now be build more controlled again, this fixes the regression
  in 0.11.0 where documentation was an on/off switch.
  New introduced: --enable-include-manpages.
  Fixed: texi2mdoc integration (--enable-texi2mdoc-generation).
  buildsystem: decrease python dependency to 3.4 from
  previously 3.7.
  -ng0

Tue Mar 12 10:06:17 CET 2019
  REST: Move back from rest-plugin into respective subsystem directories.

Mon Mar 11 02:47:55 CET 2019
  Make configure complain if no working libidn is detected. -CG

Sat Mar 9 15:58:45 2019 +0100
  REST: Config option for address bind. Defaults to localhost.
  GNS: dns2gns/gns-proxy config option for address bind. Defaults to localhost.

Sat Mar 9 01:58:22 CET 2019
  gnunet-publish now by default does not expose the creation time,
  option -d no longer exists, to enable the old behavior use -E. -CG

Sat Mar 2 14:23:10 2019 +0100
  utils: gnunet-qr.py now installed under pkgshare instead of bin

Thu Feb 28 19:07:59 CET 2019
  CADET: Fix in order, unrealiable message ordering

Thu 28 Feb 2019 10:54:58 AM CET
  Releasing GNUnet 0.11.0. -CG

Wed Jun  6 08:28:27 CEST 2018
  Releasing GNUnet 0.11.0pre66. Let's try to keep a better
  ChangeLog again henceforth. -CG

Sat Jan  7 16:41:34 CET 2017
  Converting NAT library to new NAT service (and
  splitting of nat-auto service for auto-configuration). -CG
